Index: audio/ardour2/Portfile
===================================================================
diff --git a/trunk/dports/audio/ardour2/Portfile b/trunk/dports/audio/ardour2/Portfile
--- a/trunk/dports/audio/ardour2/Portfile	(revision 103518)
+++ b/trunk/dports/audio/ardour2/Portfile	(working copy)
@@ -78,31 +78,45 @@
         depends_lib-append port:slv2
 }
 
-variant gcc43 conflicts gcc44 gcc45 description {build with gcc 4.3} {
+variant gcc43 conflicts gcc44 gcc45 gcc46 gcc47 description {build with gcc 4.3} {
     depends_build-append    port:gcc43
     configure.compiler      macports-gcc-4.3
     build.env               CC=${configure.cc} CXX=${configure.cxx} CPP=${configure.cpp}
     destroot.env            CC=${configure.cc} CXX=${configure.cxx} CPP=${configure.cpp}
 }
 
-variant gcc44 conflicts gcc43 gcc45 description {build with gcc 4.4} {
+variant gcc44 conflicts gcc43 gcc45 gcc46 gcc47 description {build with gcc 4.4} {
     depends_build-append    port:gcc44
     configure.compiler      macports-gcc-4.4
     build.env               CC=${configure.cc} CXX=${configure.cxx} CPP=${configure.cpp}
     destroot.env            CC=${configure.cc} CXX=${configure.cxx} CPP=${configure.cpp}
 }
 
-variant gcc45 conflicts gcc43 gcc44 description {build with gcc 4.5} {
+variant gcc45 conflicts gcc43 gcc44 gcc46 gcc47 description {build with gcc 4.5} {
     depends_build-append    port:gcc45
     configure.compiler      macports-gcc-4.5
     build.env               CC=${configure.cc} CXX=${configure.cxx} CPP=${configure.cpp}
     destroot.env            CC=${configure.cc} CXX=${configure.cxx} CPP=${configure.cpp}
 }
 
-if {![variant_isset gcc43] && ![variant_isset gcc44]} {
-    default_variants +gcc45
+variant gcc46 conflicts gcc43 gcc44 gcc45 gcc47 description {build with gcc 4.6} {
+    depends_build-append    port:gcc46
+    configure.compiler      macports-gcc-4.6
+    build.env               CC=${configure.cc} CXX=${configure.cxx} CPP=${configure.cpp}
+    destroot.env            CC=${configure.cc} CXX=${configure.cxx} CPP=${configure.cpp}
 }
 
+variant gcc47 conflicts gcc43 gcc44 gcc45 gcc46 description {build with gcc 4.7} {
+    depends_build-append    port:gcc47
+    configure.compiler      macports-gcc-4.7
+    build.env               CC=${configure.cc} CXX=${configure.cxx} CPP=${configure.cpp}
+    destroot.env            CC=${configure.cc} CXX=${configure.cxx} CPP=${configure.cpp}
+}
+
+if {![variant_isset gcc43] && ![variant_isset gcc44] && ![variant_isset gcc45] && ![variant_isset gcc46]} {
+    default_variants +gcc47
+}
+
 platform darwin 10 {
     # Broken on SL due to lack of support in scons configuration script.
     pre-fetch {
Index: devel/fortrancl/Portfile
===================================================================
diff --git a/trunk/dports/devel/fortrancl/Portfile b/trunk/dports/devel/fortrancl/Portfile
--- a/trunk/dports/devel/fortrancl/Portfile	(revision 103518)
+++ b/trunk/dports/devel/fortrancl/Portfile	(working copy)
@@ -38,16 +38,26 @@
         ${destroot}${prefix}/share/${name}/examples/
 }
 
-if {![variant_isset g95]} {
-   default_variants +gcc45
+if {![variant_isset g95] && ![variant_isset gcc45] && ![variant_isset gcc46]} {
+   default_variants +gcc47
 }
 
-variant gcc45 conflicts g95 description {build with gfortran-mp-4.5} {
+variant gcc45 conflicts g95 gcc46 gcc47 description {build with gfortran-mp-4.5} {
    depends_build-append    port:gcc45
    configure.compiler      macports-gcc-4.5
 }
 
-variant g95 conflicts gcc45 description {build with g95} {
+variant gcc46 conflicts g95 gcc45 gcc47 description {build with gfortran-mp-4.6} {
+   depends_build-append    port:gcc46
+   configure.compiler      macports-gcc-4.6
+}
+
+variant gcc47 conflicts g95 gcc45 gcc46 description {build with gfortran-mp-4.7} {
+   depends_build-append    port:gcc47
+   configure.compiler      macports-gcc-4.7
+}
+
+variant g95 conflicts gcc45 gcc46 gcc47 description {build with g95} {
    depends_build-append    port:gcc45
    configure.fc            g95
 }
Index: devel/lua-numlua/Portfile
===================================================================
diff --git a/trunk/dports/devel/lua-numlua/Portfile b/trunk/dports/devel/lua-numlua/Portfile
--- a/trunk/dports/devel/lua-numlua/Portfile	(revision 103518)
+++ b/trunk/dports/devel/lua-numlua/Portfile	(working copy)
@@ -4,7 +4,7 @@
 
 name                    lua-numlua
 version                 0.2.1
-revision                1
+revision                2
 license                 MIT
 categories              devel
 platforms               darwin
@@ -29,7 +29,7 @@
                         rmd160  6238e6b79cd446c47a676c4bcb3afa8fd41c42a6
 
 depends_build-append    port:lua \
-                        port:gcc43
+                        port:gcc47
 
 depends_lib-append      lib:fftw:fftw-3 
 
Index: devel/pure-gen/Portfile
===================================================================
diff --git a/trunk/dports/devel/pure-gen/Portfile b/trunk/dports/devel/pure-gen/Portfile
--- a/trunk/dports/devel/pure-gen/Portfile	(revision 103518)
+++ b/trunk/dports/devel/pure-gen/Portfile	(working copy)
@@ -25,32 +25,37 @@
 
 # pure-gen uses gcc at runtime to parse C headers but the
 # -fdirectives-only option it needs is only available in gcc 4.3 and up.
-variant gcc43 conflicts gcc44 gcc45 gcc46 description {Use gcc43 for runtime C header parsing} {
+variant gcc43 conflicts gcc44 gcc45 gcc46 gcc47 description {Use gcc43 for runtime C header parsing} {
     depends_run-append          path:bin/gcc-mp-4.3:gcc43
     global gcc_version
     set gcc_version             4.3
 }
-variant gcc44 conflicts gcc43 gcc45 gcc46 description {Use gcc44 for runtime C header parsing} {
+variant gcc44 conflicts gcc43 gcc45 gcc46 gcc47 description {Use gcc44 for runtime C header parsing} {
     depends_run-append          path:bin/gcc-mp-4.4:gcc44
     global gcc_version
     set gcc_version             4.4
 }
-variant gcc45 conflicts gcc43 gcc44 gcc46 description {Use gcc45 for runtime C header parsing} {
+variant gcc45 conflicts gcc43 gcc44 gcc46 gcc47 description {Use gcc45 for runtime C header parsing} {
     depends_run-append          path:bin/gcc-mp-4.5:gcc45
     global gcc_version
     set gcc_version             4.5
 }
-variant gcc46 conflicts gcc43 gcc44 gcc45 description {Use gcc46 for runtime C header parsing} {
+variant gcc46 conflicts gcc43 gcc44 gcc45 gcc47 description {Use gcc46 for runtime C header parsing} {
     depends_run-append          path:bin/gcc-mp-4.6:gcc46
     global gcc_version
     set gcc_version             4.6
 }
+variant gcc47 conflicts gcc43 gcc44 gcc45 gcc46 description {Use gcc47 for runtime C header parsing} {
+    depends_run-append          path:bin/gcc-mp-4.6:gcc47
+    global gcc_version
+    set gcc_version             4.7
+}
 if {![variant_isset gcc43] && ![variant_isset gcc44] && ![variant_isset gcc45] && ![variant_isset gcc46]} {
     if {${os.platform} == "darwin" && ${os.major} < 9} {
         # gcc44 doesn't build for me on Tiger
         default_variants +gcc43
     } else {
-        default_variants +gcc45
+        default_variants +gcc47
     }
 }
 
Index: devel/swig/Portfile
===================================================================
diff --git a/trunk/dports/devel/swig/Portfile b/trunk/dports/devel/swig/Portfile
--- a/trunk/dports/devel/swig/Portfile	(revision 103518)
+++ b/trunk/dports/devel/swig/Portfile	(working copy)
@@ -49,7 +49,7 @@
     chicken     {port:chicken           chicken}
     clisp       {port:clisp             clisp}
     csharp      {port:mono              csharp}
-    gcj         {port:gcc45             "gcj=${prefix}/bin/gcj-mp-4.5 --with-gcjh=${prefix}/bin/gcjh-mp-4.5"}
+    gcj         {port:gcc47             "gcj=${prefix}/bin/gcj-mp-4.7 --with-gcjh=${prefix}/bin/gcjh-mp-4.7"}
     go          {port:go                go}
     guile       {port:guile             guile}
     java        {bin:java:kaffe         java}
@@ -89,25 +89,34 @@
 }
 
 subport swig-gcj {
-    variant gcc43 conflicts gcc44 gcc45 description {build using GCJ 4.3} {
-        depends_lib-delete port:gcc45
+    variant gcc43 conflicts gcc44 gcc45 gcc47 description {build using GCJ 4.3} {
+        depends_lib-delete port:gcc47
         depends_lib-append port:gcc43
-        configure.args-delete --with-gcj=${prefix}/bin/gcj-mp-4.5 --with-gcjh=${prefix}/bin/gcjh-mp-4.5
+        configure.args-delete --with-gcj=${prefix}/bin/gcj-mp-4.7 --with-gcjh=${prefix}/bin/gcjh-mp-4.7
         configure.args-append --with-gcj=${prefix}/bin/gcj-mp-4.3 --with-gcjh=${prefix}/bin/gcjh-mp-4.3
     }
 
-    variant gcc44 conflicts gcc43 gcc45 description {build using GCJ 4.4} {
-        depends_lib-delete port:gcc45
+    variant gcc44 conflicts gcc43 gcc45 gcc47 description {build using GCJ 4.4} {
+        depends_lib-delete port:gcc47
         depends_lib-append port:gcc44
-        configure.args-delete --with-gcj=${prefix}/bin/gcj-mp-4.5 --with-gcjh=${prefix}/bin/gcjh-mp-4.5
+        configure.args-delete --with-gcj=${prefix}/bin/gcj-mp-4.7 --with-gcjh=${prefix}/bin/gcjh-mp-4.7
         configure.args-append --with-gcj=${prefix}/bin/gcj-mp-4.4 --with-gcjh=${prefix}/bin/gcjh-mp-4.4
     }
 
-    # just a placeholder variant until gcc46 gets added
-    variant gcc45 conflicts gcc43 gcc44 description {build using GCJ 4.5} {}
+    variant gcc45 conflicts gcc43 gcc44 gcc47 description {build using GCJ 4.5} {
+        depends_lib-delete port:gcc47
+        depends_lib-append port:gcc45
+        configure.args-delete --with-gcj=${prefix}/bin/gcj-mp-4.7 --with-gcjh=${prefix}/bin/gcjh-mp-4.7
+        configure.args-append --with-gcj=${prefix}/bin/gcj-mp-4.5 --with-gcjh=${prefix}/bin/gcjh-mp-4.5
+    }
 
-    if {![variant_isset gcc43] && ![variant_isset gcc44]} {
-        default_variants +gcc45
+    # No +gcc46 because the gcc46 port does not build GCJ.
+
+    # Placeholder variant for the default.
+    variant gcc47 conflicts gcc43 gcc44 gcc45 description {build using GCJ 4.7} {}
+
+    if {![variant_isset gcc43] && ![variant_isset gcc44] && ![variant_isset gcc45]} {
+        default_variants +gcc47
     }
 }
 
Index: fuse/offlinefs/Portfile
===================================================================
diff --git a/trunk/dports/fuse/offlinefs/Portfile b/trunk/dports/fuse/offlinefs/Portfile
--- a/trunk/dports/fuse/offlinefs/Portfile	(revision 103518)
+++ b/trunk/dports/fuse/offlinefs/Portfile	(working copy)
@@ -5,7 +5,7 @@
 
 name                offlinefs
 version             0.4.6
-revision            1
+revision            2
 categories          fuse
 
 platforms           darwin
@@ -32,7 +32,7 @@
 depends_build       port:automake \
                     port:autoconf \
                     port:libtool  \
-                    port:gcc45 
+                    port:gcc47
 
 depends_lib         port:fuse4x \
                     port:dbus-devel \
Index: games/snoopy/Portfile
===================================================================
diff --git a/trunk/dports/games/snoopy/Portfile b/trunk/dports/games/snoopy/Portfile
--- a/trunk/dports/games/snoopy/Portfile	(revision 103518)
+++ b/trunk/dports/games/snoopy/Portfile	(working copy)
@@ -31,23 +31,33 @@
     patchfiles          patch-brain.c.diff
 }
 
-variant gcc45 conflicts gcc43 gcc44 description {build with gcc 4.5} {
+variant gcc47 conflicts gcc43 gcc44 gcc45 gcc46 description {build with gcc 4.7} {
+    depends_lib-append  port:gcc47
+    configure.compiler  macports-gcc-4.7
+}
+
+variant gcc46 conflicts gcc43 gcc44 gcc45 gcc47 description {build with gcc 4.6} {
+    depends_lib-append  port:gcc46
+    configure.compiler  macports-gcc-4.6
+}
+
+variant gcc45 conflicts gcc43 gcc44 gcc46 gcc47 description {build with gcc 4.5} {
     depends_lib-append  port:gcc45
     configure.compiler  macports-gcc-4.5
 }
 
-variant gcc44 conflicts gcc43 gcc45 description {build with gcc 4.4} {
+variant gcc44 conflicts gcc43 gcc45 gcc46 gcc47 description {build with gcc 4.4} {
     depends_lib-append  port:gcc44
     configure.compiler  macports-gcc-4.4
 }
 
-variant gcc43 conflicts gcc44 gcc45 description {build with gcc 4.3} {
+variant gcc43 conflicts gcc44 gcc45 gcc46 gcc47 description {build with gcc 4.3} {
     depends_lib-append  port:gcc43
     configure.compiler  macports-gcc-4.3
 }
 
-if {![variant_isset gcc43] && ![variant_isset gcc44]} {
-    default_variants +gcc45
+if {![variant_isset gcc43] && ![variant_isset gcc44] && ![variant_isset gcc45] && ![variant_isset gcc46]} {
+    default_variants +gcc47
 }
 
 livecheck.type      regex
Index: graphics/pgplot/Portfile
===================================================================
diff --git a/trunk/dports/graphics/pgplot/Portfile b/trunk/dports/graphics/pgplot/Portfile
--- a/trunk/dports/graphics/pgplot/Portfile	(revision 103518)
+++ b/trunk/dports/graphics/pgplot/Portfile	(working copy)
@@ -223,33 +223,38 @@
     }
 }
 
-variant gcc43 description {build with gfortran from gcc43} conflicts gcc44 gcc45 gcc46 g95 {
+variant gcc43 description {build with gfortran from gcc43} conflicts gcc44 gcc45 gcc46 gcc47 g95 {
     depends_lib-append  port:gcc43
     configure.fc        ${prefix}/bin/gfortran-mp-4.3
 }
 
-variant gcc44 description {build with gfortran from gcc44} conflicts gcc43 gcc45 gcc46 g95 {
+variant gcc44 description {build with gfortran from gcc44} conflicts gcc43 gcc45 gcc46 gcc47 g95 {
     depends_lib-append  port:gcc44
     configure.fc        ${prefix}/bin/gfortran-mp-4.4
 }
 
-variant gcc45 description {build with gfortran from gcc45} conflicts gcc43 gcc44 gcc46 g95 {
+variant gcc45 description {build with gfortran from gcc45} conflicts gcc43 gcc44 gcc46 gcc47 g95 {
     depends_lib-append  port:gcc45
     configure.fc        ${prefix}/bin/gfortran-mp-4.5
 }
 
-variant gcc46 description {build with gfortran from gcc46} conflicts gcc43 gcc44 gcc45 g95 {
+variant gcc46 description {build with gfortran from gcc46} conflicts gcc43 gcc44 gcc45 gcc47 g95 {
     depends_lib-append  port:gcc46
     configure.fc        ${prefix}/bin/gfortran-mp-4.6
 }
 
-variant g95 description {build with g95} conflicts gcc43 gcc44 gcc45 gcc46 {
+variant gcc47 description {build with gfortran from gcc47} conflicts gcc43 gcc44 gcc45 gcc46 g95 {
+    depends_lib-append  port:gcc47
+    configure.fc        ${prefix}/bin/gfortran-mp-4.7
+}
+
+variant g95 description {build with g95} conflicts gcc43 gcc44 gcc45 gcc46 gcc47 {
     depends_lib-append  port:g95
     configure.fc        ${prefix}/bin/g95
 }
 
-if {![variant_isset g95] && ![variant_isset gcc43] && ![variant_isset gcc44] && ![variant_isset gcc46]} {
-    default_variants +gcc45
+if {![variant_isset g95] && ![variant_isset gcc43] && ![variant_isset gcc44] && ![variant_isset gcc45] && ![variant_isset gcc46]} {
+    default_variants +gcc47
 }
 
 variant docs description {Create and install docs} {
Index: lang/adaptor/Portfile
===================================================================
diff --git a/trunk/dports/lang/adaptor/Portfile b/trunk/dports/lang/adaptor/Portfile
--- a/trunk/dports/lang/adaptor/Portfile	(revision 103518)
+++ b/trunk/dports/lang/adaptor/Portfile	(working copy)
@@ -60,25 +60,37 @@
 
 destroot.destdir PREFIX=${destroot}${prefix}/lib/${name}
 
-variant gcc43 conflicts g95 gcc44 gcc45 description {build with gfortran 4.3} {
+variant gcc43 conflicts g95 gcc44 gcc45 gcc46 gcc47 description {build with gfortran 4.3} {
     depends_lib-append port:gcc43
     configure.f77 ${prefix}/bin/gfortran-mp-4.3
     configure.f90 ${prefix}/bin/gfortran-mp-4.3
 }
 
-variant gcc44 conflicts g95 gcc43 gcc45 description {build with gfortran 4.4} {
+variant gcc44 conflicts g95 gcc43 gcc45 gcc46 gcc47 description {build with gfortran 4.4} {
     depends_lib-append port:gcc44
     configure.f77 ${prefix}/bin/gfortran-mp-4.4
     configure.f90 ${prefix}/bin/gfortran-mp-4.4
 }
 
-variant gcc45 conflicts g95 gcc43 gcc44 description {build with gfortran 4.5} {
+variant gcc45 conflicts g95 gcc43 gcc44 gcc46 gcc47 description {build with gfortran 4.5} {
     depends_lib-append port:gcc45
     configure.f77 ${prefix}/bin/gfortran-mp-4.5
     configure.f90 ${prefix}/bin/gfortran-mp-4.5
 }
 
-variant g95 conflicts gcc43 gcc44 gcc45 description {build with g95} {
+variant gcc46 conflicts g95 gcc43 gcc44 gcc45 gcc47 description {build with gfortran 4.6} {
+    depends_lib-append port:gcc46
+    configure.f77 ${prefix}/bin/gfortran-mp-4.6
+    configure.f90 ${prefix}/bin/gfortran-mp-4.6
+}
+
+variant gcc47 conflicts g95 gcc43 gcc44 gcc45 gcc46 description {build with gfortran 4.7} {
+    depends_lib-append port:gcc47
+    configure.f77 ${prefix}/bin/gfortran-mp-4.7
+    configure.f90 ${prefix}/bin/gfortran-mp-4.7
+}
+
+variant g95 conflicts gcc43 gcc44 gcc45 gcc46 gcc47 description {build with g95} {
     depends_lib-append port:g95
     configure.f77 ${prefix}/bin/g95
     configure.f90 ${prefix}/bin/g95
@@ -87,6 +99,6 @@
 
 }
 
-if {![variant_isset gcc43] && ![variant_isset gcc44] && ![variant_isset g95]} {
-    default_variants +gcc45
+if {![variant_isset gcc43] && ![variant_isset gcc44] && ![variant_isset gcc45] && ![variant_isset gcc46] && ![variant_isset g95]} {
+    default_variants +gcc47
 }
Index: lang/ftidy/Portfile
===================================================================
diff --git a/trunk/dports/lang/ftidy/Portfile b/trunk/dports/lang/ftidy/Portfile
--- a/trunk/dports/lang/ftidy/Portfile	(revision 103518)
+++ b/trunk/dports/lang/ftidy/Portfile	(working copy)
@@ -31,25 +31,35 @@
 
 patchfiles              tidy.for.patch
 
-if { ![variant_isset gcc43] && ![variant_isset gcc44] } {
-    default_variants    +gcc45
+if { ![variant_isset gcc43] && ![variant_isset gcc44] && ![variant_isset gcc45] && ![variant_isset gcc46] } {
+    default_variants    +gcc47
 }
 
-variant gcc43 conflicts gcc44 gcc45 description {Build using gcc43} {
+variant gcc43 conflicts gcc44 gcc45 gcc46 gcc47 description {Build using gcc43} {
     depends_build   port:gcc43
     configure.compiler  macports-gcc-4.3
 }
 
-variant gcc44 conflicts gcc43 gcc45 description {Build using gcc44} {
+variant gcc44 conflicts gcc43 gcc45 gcc46 gcc47 description {Build using gcc44} {
     depends_build   port:gcc44
     configure.compiler  macports-gcc-4.4
 }
 
-variant gcc45 conflicts gcc43 gcc44 description {Build using gcc45} {
+variant gcc45 conflicts gcc43 gcc44 gcc46 gcc47 description {Build using gcc45} {
     depends_build   port:gcc45
     configure.compiler  macports-gcc-4.5
 }
 
+variant gcc46 conflicts gcc43 gcc44 gcc45 gcc47 description {Build using gcc46} {
+    depends_build   port:gcc46
+    configure.compiler  macports-gcc-4.6
+}
+
+variant gcc47 conflicts gcc43 gcc44 gcc45 gcc46 description {Build using gcc47} {
+    depends_build   port:gcc47
+    configure.compiler  macports-gcc-4.7
+}
+
 build.pre_args        ${configure.fflags} ${configure.f77_archflags}
 pre-build {
     build.cmd         ${configure.f77}
Index: lang/omnixmp/Portfile
===================================================================
diff --git a/trunk/dports/lang/omnixmp/Portfile b/trunk/dports/lang/omnixmp/Portfile
--- a/trunk/dports/lang/omnixmp/Portfile	(revision 103518)
+++ b/trunk/dports/lang/omnixmp/Portfile	(working copy)
@@ -45,8 +45,8 @@
     ln -s ${prefix}/lib/${name}/bin/xmpcc ${destroot}${prefix}/bin
 }
 
-if {![variant_isset gcc44] && ![variant_isset gcc46] && ![variant_isset gcc47]} {
-    default_variants    +gcc45
+if {![variant_isset gcc44] && ![variant_isset gcc45] && ![variant_isset gcc46]} {
+    default_variants    +gcc47
 }
 
 if {![variant_isset mpich]} {
Index: math/R/Portfile
===================================================================
diff --git a/trunk/dports/math/R/Portfile b/trunk/dports/math/R/Portfile
--- a/trunk/dports/math/R/Portfile	(revision 103518)
+++ b/trunk/dports/math/R/Portfile	(working copy)
@@ -103,7 +103,7 @@
 
 if {![variant_isset gcc42] && ![variant_isset gcc43] && ![variant_isset gcc44] &&
     ![variant_isset gcc45] && ![variant_isset gcc46] && ![variant_isset gcc47]} {
-    default_variants-append +gcc45
+    default_variants-append +gcc47
 }
 
 post-patch {
Index: math/arpack/Portfile
===================================================================
diff --git a/trunk/dports/math/arpack/Portfile b/trunk/dports/math/arpack/Portfile
--- a/trunk/dports/math/arpack/Portfile	(revision 103518)
+++ b/trunk/dports/math/arpack/Portfile	(working copy)
@@ -91,8 +91,8 @@
         configure.env-append F77=${prefix}/bin/g95
 }
 
-if { ![variant_isset gcc43] && ![variant_isset gcc44] && ![variant_isset gcc46] && ![variant_isset gcc47] && ![variant_isset g95] } {
-	default_variants      +gcc45
+if { ![variant_isset gcc43] && ![variant_isset gcc44] && ![variant_isset gcc45] && ![variant_isset gcc46] && ![variant_isset g95] } {
+	default_variants      +gcc47
 }
 
 # warning: this is ignored if atlas is installed
Index: math/atlas/Portfile
===================================================================
diff --git a/trunk/dports/math/atlas/Portfile b/trunk/dports/math/atlas/Portfile
--- a/trunk/dports/math/atlas/Portfile	(revision 103518)
+++ b/trunk/dports/math/atlas/Portfile	(working copy)
@@ -125,9 +125,9 @@
         configure.cc        ${prefix}/bin/clang-mp-3.2
     } else {
 
-        # Defaults to gcc45
-        set gccversion 4.5
-        default_variants +gcc45
+        # Defaults to gcc47
+        set gccversion 4.7
+        default_variants +gcc47
     }
 } else {
 
@@ -159,9 +159,9 @@
 
     } else {
 
-        # Defaults to gcc45
-        set gccversion 4.5
-        default_variants    +gcc45
+        # Defaults to gcc47
+        set gccversion 4.7
+        default_variants    +gcc47
     }
 }
 
Index: math/dotwrp/Portfile
===================================================================
diff --git a/trunk/dports/math/dotwrp/Portfile b/trunk/dports/math/dotwrp/Portfile
--- a/trunk/dports/math/dotwrp/Portfile	(revision 103518)
+++ b/trunk/dports/math/dotwrp/Portfile	(working copy)
@@ -20,8 +20,8 @@
 
 use_configure   no
 
-if { ![variant_isset g95] && ![variant_isset gcc44] && ![variant_isset gcc46] && ![variant_isset gcc47]} {
-    default_variants +gcc45
+if { ![variant_isset g95] && ![variant_isset gcc44] && ![variant_isset gcc45] && ![variant_isset gcc46]} {
+    default_variants +gcc47
 }
 
 if {[variant_isset g95]} {
@@ -63,6 +63,6 @@
     depends_build       port:gcc46
 }
 
-variant gcc47 conflicts g95 gcc44 gcc45 gcc46 description {compile with gfortran-mp-4.6} {
+variant gcc47 conflicts g95 gcc44 gcc45 gcc46 description {compile with gfortran-mp-4.7} {
     depends_build       port:gcc47
 }
Index: math/fftw/Portfile
===================================================================
diff --git a/trunk/dports/math/fftw/Portfile b/trunk/dports/math/fftw/Portfile
--- a/trunk/dports/math/fftw/Portfile	(revision 103518)
+++ b/trunk/dports/math/fftw/Portfile	(working copy)
@@ -36,27 +36,37 @@
 
 variant fortran requires g95 description {obsolete synonym for g95} {}
 
-variant g95 conflicts gcc43 gcc44 gcc45 description {include fortran-callable wrappers built with g95} {
+variant g95 conflicts gcc43 gcc44 gcc45 gcc46 gcc47 description {include fortran-callable wrappers built with g95} {
 	depends_lib-append	port:g95
 	configure.f77		${prefix}/bin/g95
 }
 
-variant gcc43 conflicts g95 gcc44 gcc45 description {include fortran-callable wrappers built with gcc 4.3} {
+variant gcc43 conflicts g95 gcc44 gcc45 gcc46 gcc47 description {include fortran-callable wrappers built with gcc 4.3} {
 	depends_lib-append	port:gcc43
 	configure.compiler  macports-gcc-4.3
 }
 
-variant gcc44 conflicts g95 gcc43 gcc45 description {include fortran-callable wrappers built with gcc 4.4} {
+variant gcc44 conflicts g95 gcc43 gcc45 gcc46 gcc47 description {include fortran-callable wrappers built with gcc 4.4} {
 	depends_lib-append	port:gcc44
 	configure.compiler  macports-gcc-4.4
 }
 
-variant gcc45 conflicts g95 gcc43 gcc44 description {include fortran-callable wrappers built with gcc 4.5} {
+variant gcc45 conflicts g95 gcc43 gcc44 gcc46 gcc47 description {include fortran-callable wrappers built with gcc 4.5} {
 	depends_lib-append	port:gcc45
 	configure.compiler  macports-gcc-4.5
 }
 
-if {[variant_isset g95] || [variant_isset gcc43] || [variant_isset gcc44] || [variant_isset gcc45]} {
+variant gcc46 conflicts g95 gcc43 gcc44 gcc45 gcc47 description {include fortran-callable wrappers built with gcc 4.6} {
+	depends_lib-append	port:gcc46
+	configure.compiler  macports-gcc-4.6
+}
+
+variant gcc47 conflicts g95 gcc43 gcc44 gcc45 gcc46 description {include fortran-callable wrappers built with gcc 4.7} {
+	depends_lib-append	port:gcc47
+	configure.compiler  macports-gcc-4.7
+}
+
+if {[variant_isset g95] || [variant_isset gcc43] || [variant_isset gcc44] || [variant_isset gcc45] || [variant_isset gcc46] || [variant_isset gcc47]} {
     configure.args-delete	--disable-fortran
     configure.args-append	--enable-fortran
     if {![variant_isset g95]} {
Index: math/fftw-single/Portfile
===================================================================
diff --git a/trunk/dports/math/fftw-single/Portfile b/trunk/dports/math/fftw-single/Portfile
--- a/trunk/dports/math/fftw-single/Portfile	(revision 103518)
+++ b/trunk/dports/math/fftw-single/Portfile	(working copy)
@@ -42,27 +42,37 @@
 		--infodir=${prefix}/share/info \
 		--enable-shared
 
-variant g95 conflicts gcc43 gcc44 gcc45 description {include fortran-callable wrappers built with g95} {
+variant g95 conflicts gcc43 gcc44 gcc45 gcc46 gcc47 description {include fortran-callable wrappers built with g95} {
 	depends_lib-append	port:g95
 	configure.f77		${prefix}/bin/g95
 }
 
-variant gcc43 conflicts g95 gcc44 gcc45 description {include fortran-callable wrappers built with gcc 4.3} {
+variant gcc43 conflicts g95 gcc44 gcc45 gcc46 gcc47 description {include fortran-callable wrappers built with gcc 4.3} {
 	depends_lib-append	port:gcc43
 	configure.compiler  macports-gcc-4.3
 }
 
-variant gcc44 conflicts g95 gcc43 gcc45 description {include fortran-callable wrappers built with gcc 4.4} {
+variant gcc44 conflicts g95 gcc43 gcc45 gcc46 gcc47 description {include fortran-callable wrappers built with gcc 4.4} {
 	depends_lib-append	port:gcc44
 	configure.compiler  macports-gcc-4.4
 }
 
-variant gcc45 conflicts g95 gcc43 gcc44 description {include fortran-callable wrappers built with gcc 4.5} {
+variant gcc45 conflicts g95 gcc43 gcc44 gcc46 gcc47 description {include fortran-callable wrappers built with gcc 4.5} {
 	depends_lib-append	port:gcc45
 	configure.compiler  macports-gcc-4.5
 }
 
-if {[variant_isset g95] || [variant_isset gcc43] || [variant_isset gcc44] || [variant_isset gcc45]} {
+variant gcc46 conflicts g95 gcc43 gcc44 gcc45 gcc47 description {include fortran-callable wrappers built with gcc 4.6} {
+	depends_lib-append	port:gcc46
+	configure.compiler  macports-gcc-4.6
+}
+
+variant gcc47 conflicts g95 gcc43 gcc44 gcc45 gcc46 description {include fortran-callable wrappers built with gcc 4.7} {
+	depends_lib-append	port:gcc47
+	configure.compiler  macports-gcc-4.7
+}
+
+if {[variant_isset g95] || [variant_isset gcc43] || [variant_isset gcc44] || [variant_isset gcc45] || [variant_isset gcc46] || [variant_isset gcc47]} {
     configure.args-delete	--disable-fortran
     configure.args-append	--enable-fortran
     if {![variant_isset g95]} {
Index: math/octave/Portfile
===================================================================
diff --git a/trunk/dports/math/octave/Portfile b/trunk/dports/math/octave/Portfile
--- a/trunk/dports/math/octave/Portfile	(revision 103518)
+++ b/trunk/dports/math/octave/Portfile	(working copy)
@@ -109,30 +109,40 @@
     }
 }
 
-variant gcc43 description {build with the macports gcc43 toolchain} conflicts gcc44 gcc45 g95 {
+variant gcc43 description {build with the macports gcc43 toolchain} conflicts gcc44 gcc45 gcc46 gcc47 g95 {
     depends_build-append    port:gcc43
     configure.compiler      macports-gcc-4.3
 }
 
-variant gcc44 description {build with the macports gcc44 toolchain} conflicts gcc43 gcc45 g95 {
+variant gcc44 description {build with the macports gcc44 toolchain} conflicts gcc43 gcc45 gcc46 gcc47 g95 {
     depends_build-append    port:gcc44
     configure.compiler      macports-gcc-4.4
 }
 
-variant gcc45 description {build with the macports gcc45 toolchain} conflicts gcc43 gcc44 g95 {
+variant gcc45 description {build with the macports gcc45 toolchain} conflicts gcc43 gcc44 gcc46 gcc47 g95 {
     depends_build-append    port:gcc45
     configure.compiler      macports-gcc-4.5
 }
 
-variant g95 description {build with g95} requires accelerate conflicts atlas gcc43 gcc44 gcc45 {
+variant gcc46 description {build with the macports gcc46 toolchain} conflicts gcc43 gcc44 gcc45 gcc47 g95 {
+    depends_build-append    port:gcc46
+    configure.compiler      macports-gcc-4.6
+}
+
+variant gcc47 description {build with the macports gcc47 toolchain} conflicts gcc43 gcc44 gcc45 gcc46 g95 {
+    depends_build-append    port:gcc47
+    configure.compiler      macports-gcc-4.7
+}
+
+variant g95 description {build with g95} requires accelerate conflicts atlas gcc43 gcc44 gcc45 gcc46 gcc47 {
     depends_build-append    port:g95
     configure.f77       "${prefix}/bin/g95"
 }
 
-if { ![variant_isset gcc43] && ![variant_isset gcc44] && ![variant_isset g95] } {
-    default_variants +gcc45
+if { ![variant_isset gcc43] && ![variant_isset gcc44] && ![variant_isset gcc45] && ![variant_isset gcc46] && ![variant_isset g95] } {
+    default_variants +gcc47
 }
-if {![variant_isset gcc43] && ![variant_isset gcc44] && ![variant_isset gcc45] && ![variant_isset g95]} {
+if {![variant_isset gcc43] && ![variant_isset gcc44] && ![variant_isset gcc45] && ![variant_isset gcc46] && ![variant_isset gcc47] && ![variant_isset g95]} {
     pre-fetch {
         return -code error "You must use one of the compiler variants."
     }
Index: math/octave-devel/Portfile
===================================================================
diff --git a/trunk/dports/math/octave-devel/Portfile b/trunk/dports/math/octave-devel/Portfile
--- a/trunk/dports/math/octave-devel/Portfile	(revision 103518)
+++ b/trunk/dports/math/octave-devel/Portfile	(working copy)
@@ -148,13 +148,13 @@
 # check for GCC / G95 variants.  The default here must match the
 # default found in the 'atlas' port (but, this is not checked for).
 
-# check for setting the default variant (gcc44)
+# check for setting the default variant (gcc47)
 if { ![variant_isset gcc43] && ![variant_isset gcc44] && \
-         ![variant_isset gcc46] && ![variant_isset gcc47] && ![variant_isset g95] } {
-    default_variants +gcc45
+         ![variant_isset gcc45] && ![variant_isset gcc46] && ![variant_isset g95] } {
+    default_variants +gcc47
 }
 
-# check if the user disabled just the default variant: -gcc44
+# check if the user disabled just the default variant: -gcc47
 if { ![variant_isset gcc43] && ![variant_isset gcc44] && \
          ![variant_isset gcc45] && ![variant_isset gcc46] && \
          ![variant_isset gcc47] && ![variant_isset g95] } {
Index: math/qrupdate/Portfile
===================================================================
diff --git a/trunk/dports/math/qrupdate/Portfile b/trunk/dports/math/qrupdate/Portfile
--- a/trunk/dports/math/qrupdate/Portfile	(revision 103518)
+++ b/trunk/dports/math/qrupdate/Portfile	(working copy)
@@ -115,13 +115,9 @@
     }
 }
 
-if {![variant_isset gcc46] && ![variant_isset gcc47] \
+if {![variant_isset gcc45] && ![variant_isset gcc46] \
         && ![variant_isset g95]} {
-	if {![variant_isset universal]} {
-		default_variants +gcc45
-	} else {
-		default_variants +gcc46
-	}
+	default_variants +gcc47
 }
 
 
Index: math/shogun/Portfile
===================================================================
diff --git a/trunk/dports/math/shogun/Portfile b/trunk/dports/math/shogun/Portfile
--- a/trunk/dports/math/shogun/Portfile	(revision 103518)
+++ b/trunk/dports/math/shogun/Portfile	(working copy)
@@ -143,17 +143,23 @@
 #   configure.args-delete --disable-doxygen
 # }
 
-variant gcc43 conflicts gcc44 gcc45 description {build with gcc 4.3} {}
-variant gcc44 conflicts gcc43 gcc45 description {build with gcc 4.4} {}
-variant gcc45 conflicts gcc43 gcc44 description {build with gcc 4.5} {}
+variant gcc43 conflicts gcc44 gcc45 gcc46 gcc47 description {build with gcc 4.3} {}
+variant gcc44 conflicts gcc43 gcc45 gcc46 gcc47 description {build with gcc 4.4} {}
+variant gcc45 conflicts gcc43 gcc44 gcc46 gcc47 description {build with gcc 4.5} {}
+variant gcc46 conflicts gcc43 gcc44 gcc45 gcc47 description {build with gcc 4.6} {}
+variant gcc47 conflicts gcc43 gcc44 gcc45 gcc46 description {build with gcc 4.7} {}
 
 if {[variant_isset gcc43]} {
     set gccversion 4.3
 } elseif {[variant_isset gcc44]} {
     set gccversion 4.4
+} elseif {[variant_isset gcc45]} {
+    set gccversion 4.5
+} elseif {[variant_isset gcc46]} {
+    set gccversion 4.6
 } else {
-    default_variants +gcc45
-    set gccversion 4.5
+    default_variants +gcc47
+    set gccversion 4.7
 }
 
 set gccnumber [join [split ${gccversion} .] ""]
Index: net/lam/Portfile
===================================================================
diff --git a/trunk/dports/net/lam/Portfile b/trunk/dports/net/lam/Portfile
--- a/trunk/dports/net/lam/Portfile	(revision 103518)
+++ b/trunk/dports/net/lam/Portfile	(working copy)
@@ -35,25 +35,37 @@
 
 destroot.args	docdir=${prefix}/share/doc/lam
 
-variant gcc43 description {enable Fortran support with GCC 4.3} conflicts gcc44 gcc45 g95 {
+variant gcc43 description {enable Fortran support with GCC 4.3} conflicts gcc44 gcc45 gcc46 gcc47 g95 {
 	depends_lib   port:gcc43
 	configure.args-delete	--without-fc
 	configure.args-append	--with-fc=${prefix}/bin/gfortran-mp-4.3
 }
 
-variant gcc44 description {enable Fortran support with GCC 4.4} conflicts gcc43 gcc45 g95 {
+variant gcc44 description {enable Fortran support with GCC 4.4} conflicts gcc43 gcc45 gcc46 gcc47 g95 {
 	depends_lib   port:gcc44
 	configure.args-delete	--without-fc
 	configure.args-append	--with-fc=${prefix}/bin/gfortran-mp-4.4
 }
 
-variant gcc45 description {enable Fortran support with GCC 4.5} conflicts gcc43 gcc44 g95 {
+variant gcc45 description {enable Fortran support with GCC 4.5} conflicts gcc43 gcc44 gcc46 gcc47 g95 {
 	depends_lib   port:gcc45
 	configure.args-delete	--without-fc
 	configure.args-append	--with-fc=${prefix}/bin/gfortran-mp-4.5
 }
 
-variant g95 description {enable Fortran support with G95} conflicts gcc43 gcc44 gcc45 {
+variant gcc46 description {enable Fortran support with GCC 4.6} conflicts gcc43 gcc44 gcc45 gcc47 g95 {
+	depends_lib   port:gcc46
+	configure.args-delete	--without-fc
+	configure.args-append	--with-fc=${prefix}/bin/gfortran-mp-4.6
+}
+
+variant gcc47 description {enable Fortran support with GCC 4.7} conflicts gcc43 gcc44 gcc45 gcc46 g95 {
+	depends_lib   port:gcc47
+	configure.args-delete	--without-fc
+	configure.args-append	--with-fc=${prefix}/bin/gfortran-mp-4.7
+}
+
+variant g95 description {enable Fortran support with G95} conflicts gcc43 gcc44 gcc45 gcc46 gcc47 {
 	depends_lib   port:g95
 	configure.args-delete	--without-fc
 	configure.args-append	--with-fc=${prefix}/bin/g95
Index: perl/p5-extutils-f77/Portfile
===================================================================
diff --git a/trunk/dports/perl/p5-extutils-f77/Portfile b/trunk/dports/perl/p5-extutils-f77/Portfile
--- a/trunk/dports/perl/p5-extutils-f77/Portfile	(revision 103518)
+++ b/trunk/dports/perl/p5-extutils-f77/Portfile	(working copy)
@@ -5,7 +5,7 @@
 
 perl5.branches      5.8 5.10 5.12 5.14 5.16
 perl5.setup         ExtUtils-F77 1.16
-revision            3
+revision            4
 license             {Artistic-1 GPL}
 maintainers         nomaintainer
 description         Helper for linking C with Fortran subroutines
@@ -22,12 +22,12 @@
 if {${perl5.major} != ""} {
 # Note, patch-F77.pm has some bits specific to gcc43, so if this dependency
 # is updated, update the patch as well
-depends_lib-append  port:gcc43
+depends_lib-append  port:gcc47
 
 supported_archs noarch
 
 platform darwin {
-   patchfiles-append   patch-F77.pm
+   patchfiles-append   patch-F77.pm.diff
     post-patch {
         reinplace "s|@@PREFIX@@|${prefix}|g" ${worksrcpath}/F77.pm
     }
Index: perl/p5-extutils-f77/files/patch-F77.pm
===================================================================
diff --git a/trunk/dports/perl/p5-extutils-f77/files/patch-F77.pm b/trunk/dports/perl/p5-extutils-f77/files/patch-F77.pm
deleted file mode 10644
--- a/trunk/dports/perl/p5-extutils-f77/files/patch-F77.pm	(revision 103518)
+++ /dev/null	(working copy)
@@ -1,16 +0,0 @@
---- F77.pm.orig	2007-04-01 22:40:23.000000000 -0600
-+++ F77.pm	2009-03-05 15:32:52.000000000 -0700
-@@ -341,10 +341,10 @@
- 
- $F77config{Darwin}{GFortran}{Trail_} = 1;
- $F77config{Darwin}{GFortran}{Cflags} = ' ';        # <---need this space!
--$F77config{Darwin}{GFortran}{Link}   = '-L/usr/local/lib -lgfortran';    
--$F77config{Darwin}{GFortran}{Compiler} = 'gfortran';
-+$F77config{Darwin}{GFortran}{Link}   = '-L@@PREFIX@@/lib/gcc43 -lgfortran';    
-+$F77config{Darwin}{GFortran}{Compiler} = 'gfortran-mp-4.3';
- 
--$F77config{Darwin}{DEFAULT}     = 'G77';
-+$F77config{Darwin}{DEFAULT}     = 'GFortran';
- 
- ############ End of database is here ############ 
- 
Index: perl/p5-extutils-f77/files/patch-F77.pm.diff
===================================================================
diff --git a/trunk/dports/perl/p5-extutils-f77/files/patch-F77.pm b/trunk/dports/perl/p5-extutils-f77/files/patch-F77.pm.diff
copy from trunk/dports/perl/p5-extutils-f77/files/patch-F77.pm
copy to trunk/dports/perl/p5-extutils-f77/files/patch-F77.pm.diff
--- a/trunk/dports/perl/p5-extutils-f77/files/patch-F77.pm	(revision 0)
+++ b/trunk/dports/perl/p5-extutils-f77/files/patch-F77.pm.diff	(working copy)
@@ -1,13 +1,13 @@
---- F77.pm.orig	2007-04-01 22:40:23.000000000 -0600
-+++ F77.pm	2009-03-05 15:32:52.000000000 -0700
+--- F77.pm.orig	2007-04-02 00:40:23.000000000 -0400
++++ F77.pm	2013-02-28 02:20:42.000000000 -0500
 @@ -341,10 +341,10 @@
  
  $F77config{Darwin}{GFortran}{Trail_} = 1;
  $F77config{Darwin}{GFortran}{Cflags} = ' ';        # <---need this space!
 -$F77config{Darwin}{GFortran}{Link}   = '-L/usr/local/lib -lgfortran';    
 -$F77config{Darwin}{GFortran}{Compiler} = 'gfortran';
-+$F77config{Darwin}{GFortran}{Link}   = '-L@@PREFIX@@/lib/gcc43 -lgfortran';    
-+$F77config{Darwin}{GFortran}{Compiler} = 'gfortran-mp-4.3';
++$F77config{Darwin}{GFortran}{Link}   = '-L@@PREFIX@@/lib/gcc47 -lgfortran';    
++$F77config{Darwin}{GFortran}{Compiler} = 'gfortran-mp-4.7';
  
 -$F77config{Darwin}{DEFAULT}     = 'G77';
 +$F77config{Darwin}{DEFAULT}     = 'GFortran';
Index: python/py-milk/Portfile
===================================================================
diff --git a/trunk/dports/python/py-milk/Portfile b/trunk/dports/python/py-milk/Portfile
--- a/trunk/dports/python/py-milk/Portfile	(revision 103518)
+++ b/trunk/dports/python/py-milk/Portfile	(working copy)
@@ -47,7 +47,7 @@
     }
 
     if {![variant_isset gcc45] && ![variant_isset gcc46] && ![variant_isset gcc47]} {
-        default_variants +gcc45
+        default_variants +gcc47
     }
 
     if {[variant_isset gcc45] || [variant_isset gcc46] || [variant_isset gcc47]} {
Index: python/py-obspy/Portfile
===================================================================
diff --git a/trunk/dports/python/py-obspy/Portfile b/trunk/dports/python/py-obspy/Portfile
--- a/trunk/dports/python/py-obspy/Portfile	(revision 103518)
+++ b/trunk/dports/python/py-obspy/Portfile	(working copy)
@@ -73,6 +73,6 @@
     }
 
     if {![variant_isset gcc43] && ![variant_isset gcc44] && ![variant_isset gcc45] && ![variant_isset gcc46] && ![variant_isset gcc47]} {
-        default_variants +gcc45
+        default_variants +gcc47
     }
 }
Index: python/py-scipy/Portfile
===================================================================
diff --git a/trunk/dports/python/py-scipy/Portfile b/trunk/dports/python/py-scipy/Portfile
--- a/trunk/dports/python/py-scipy/Portfile	(revision 103518)
+++ b/trunk/dports/python/py-scipy/Portfile	(working copy)
@@ -126,8 +126,8 @@
                         CXX="${prefix}/bin/g++-mp-4.7"
 }
 
-if { ![variant_isset gcc43] && ![variant_isset gcc44] && ![variant_isset gcc46] && ![variant_isset gcc47]} {
-  default_variants      +gcc45
+if { ![variant_isset gcc43] && ![variant_isset gcc44] && ![variant_isset gcc45] && ![variant_isset gcc46]} {
+  default_variants      +gcc47
 }
 
 }
Index: python/py-usadel1/Portfile
===================================================================
diff --git a/trunk/dports/python/py-usadel1/Portfile b/trunk/dports/python/py-usadel1/Portfile
--- a/trunk/dports/python/py-usadel1/Portfile	(revision 103518)
+++ b/trunk/dports/python/py-usadel1/Portfile	(working copy)
@@ -54,8 +54,8 @@
         configure.compiler  macports-gcc-4.8
     }
     
-    if {![variant_isset gcc46] && ![variant_isset gcc47] && ![variant_isset gcc48]} {
-        default_variants +gcc45
+    if {![variant_isset gcc45] && ![variant_isset gcc46] && ![variant_isset gcc48]} {
+        default_variants +gcc47
     }
 
     build.args          config_fc \
Index: python/py25-pymc/Portfile
===================================================================
diff --git a/trunk/dports/python/py25-pymc/Portfile b/trunk/dports/python/py25-pymc/Portfile
--- a/trunk/dports/python/py25-pymc/Portfile	(revision 103518)
+++ b/trunk/dports/python/py25-pymc/Portfile	(working copy)
@@ -32,32 +32,44 @@
 patchfiles-append   patch-pymc-gibbsit.f.diff
 depends_lib-append  port:py25-numpy
 
-variant gcc43 description {create Fortran wrappers using gcc43} conflicts gcc44 gcc45 g95 {
+variant gcc43 description {create Fortran wrappers using gcc43} conflicts gcc44 gcc45 gcc46 gcc47 g95 {
     depends_lib-append    port:gcc43
     set fc                ${prefix}/bin/gfortran-mp-4.3
     build.env-append      F77=${fc} F90=${fc}
 }
 
-variant gcc44 description {create Fortran wrappers using gcc44} conflicts gcc43 gcc45 g95 {
+variant gcc44 description {create Fortran wrappers using gcc44} conflicts gcc43 gcc45 gcc46 gcc47 g95 {
     depends_lib-append    port:gcc44
     set fc                ${prefix}/bin/gfortran-mp-4.4
     build.env-append      F77=${fc} F90=${fc}
 }
 
-variant gcc45 description {create Fortran wrappers using gcc45} conflicts gcc43 gcc44 g95 {
+variant gcc45 description {create Fortran wrappers using gcc45} conflicts gcc43 gcc44 gcc46 gcc47 g95 {
     depends_lib-append    port:gcc45
     set fc                ${prefix}/bin/gfortran-mp-4.5
     build.env-append      F77=${fc} F90=${fc}
 }
 
-variant g95 description {create Fortran wrappers using f95} conflicts gcc43 gcc44 gcc45 {
+variant gcc46 description {create Fortran wrappers using gcc46} conflicts gcc43 gcc44 gcc45 gcc47 g95 {
+    depends_lib-append    port:gcc46
+    set fc                ${prefix}/bin/gfortran-mp-4.6
+    build.env-append      F77=${fc} F90=${fc}
+}
+
+variant gcc47 description {create Fortran wrappers using gcc47} conflicts gcc43 gcc44 gcc45 gcc46 g95 {
+    depends_lib-append    port:gcc47
+    set fc                ${prefix}/bin/gfortran-mp-4.7
+    build.env-append      F77=${fc} F90=${fc}
+}
+
+variant g95 description {create Fortran wrappers using f95} conflicts gcc43 gcc44 gcc45 gcc46 gcc47 {
     depends_lib-append    port:g95
     set fc                ${prefix}/bin/g95
     build.env-append      F77=${fc} F90=${fc}
 }
 
-if {![variant_isset gcc43] && ![variant_isset gcc44] && ![variant_isset g95]} {
-       default_variants +gcc45
+if {![variant_isset gcc43] && ![variant_isset gcc44] && ![variant_isset gcc45] && ![variant_isset gcc46] && ![variant_isset g95]} {
+       default_variants +gcc47
 }
 
 livecheck.regex         <a href=\"http://pymc.googlecode.com/files/pymc-(\[\\d\.\]+)${extract.suffix}
Index: python/py25-pynifti/Portfile
===================================================================
diff --git a/trunk/dports/python/py25-pynifti/Portfile b/trunk/dports/python/py25-pynifti/Portfile
--- a/trunk/dports/python/py25-pynifti/Portfile	(revision 103518)
+++ b/trunk/dports/python/py25-pynifti/Portfile	(working copy)
@@ -31,23 +31,33 @@
   reinplace "s|@@PREFIX@@|${prefix}|g" ${worksrcpath}/setup.py
 }
 
-variant gcc43 conflicts gcc44 gcc45 description {build with gcc 4.3} {
+variant gcc43 conflicts gcc44 gcc45 gcc46 gcc47 description {build with gcc 4.3} {
     depends_build-append port:gcc43
     configure.compiler   macports-gcc-4.3
 }
 
-variant gcc44 conflicts gcc43 gcc45 description {build with gcc 4.4} {
+variant gcc44 conflicts gcc43 gcc45 gcc46 gcc47 description {build with gcc 4.4} {
     depends_build-append port:gcc44
     configure.compiler   macports-gcc-4.4
 }
 
-variant gcc45 conflicts gcc43 gcc44 description {build with gcc 4.5} {
+variant gcc45 conflicts gcc43 gcc44 gcc46 gcc47 description {build with gcc 4.5} {
     depends_build-append port:gcc45
     configure.compiler   macports-gcc-4.5
 }
 
-if {![variant_isset gcc43] && ![variant_isset gcc44]} {
-    default_variants +gcc45
+variant gcc46 conflicts gcc43 gcc44 gcc45 gcc47 description {build with gcc 4.6} {
+    depends_build-append port:gcc46
+    configure.compiler   macports-gcc-4.6
 }
 
+variant gcc47 conflicts gcc43 gcc44 gcc45 gcc46 description {build with gcc 4.7} {
+    depends_build-append port:gcc47
+    configure.compiler   macports-gcc-4.7
+}
+
+if {![variant_isset gcc43] && ![variant_isset gcc44] && ![variant_isset gcc45] && ![variant_isset gcc46]} {
+    default_variants +gcc47
+}
+
 livecheck.regex {pynifti_([0-9.]+).tar.gz}
Index: python/py26-logilab-hmm/Portfile
===================================================================
diff --git a/trunk/dports/python/py26-logilab-hmm/Portfile b/trunk/dports/python/py26-logilab-hmm/Portfile
--- a/trunk/dports/python/py26-logilab-hmm/Portfile	(revision 103518)
+++ b/trunk/dports/python/py26-logilab-hmm/Portfile	(working copy)
@@ -31,7 +31,7 @@
 universal_variant   no
 python.add_archflags no
 
-variant gcc43 conflicts gcc44 gcc45 description "Use gfortran-mp-4.3 as fortran compiler" {
+variant gcc43 conflicts gcc44 gcc45 gcc46 gcc47 description "Use gfortran-mp-4.3 as fortran compiler" {
   configure.compiler    macports-gcc-4.3
   depends_lib-append    port:gcc43
   set fc_options        "config_fc --fcompiler gnu95 --f77exec ${prefix}/bin/gfortran-mp-4.3 --f90exec ${prefix}/bin/gfortran-mp-4.3"
@@ -39,7 +39,7 @@
   destroot.cmd-append   ${fc_options}
 }
 
-variant gcc44 conflicts gcc43 gcc45 description "Use gfortran-mp-4.4 as fortran compiler" {
+variant gcc44 conflicts gcc43 gcc45 gcc46 gcc47 description "Use gfortran-mp-4.4 as fortran compiler" {
   configure.compiler    macports-gcc-4.4
   depends_lib-append    port:gcc44
   set fc_options        "config_fc --fcompiler gnu95 --f77exec ${prefix}/bin/gfortran-mp-4.4 --f90exec ${prefix}/bin/gfortran-mp-4.4"
@@ -47,7 +47,7 @@
   destroot.cmd-append   ${fc_options}
 }
 
-variant gcc45 conflicts gcc43 gcc44 description "Use gfortran-mp-4.5 as fortran compiler" {
+variant gcc45 conflicts gcc43 gcc44 gcc46 gcc47 description "Use gfortran-mp-4.5 as fortran compiler" {
   configure.compiler    macports-gcc-4.5
   depends_lib-append    port:gcc45
   set fc_options        "config_fc --fcompiler gnu95 --f77exec ${prefix}/bin/gfortran-mp-4.5 --f90exec ${prefix}/bin/gfortran-mp-4.5"
@@ -55,10 +55,26 @@
   destroot.cmd-append   ${fc_options}
 }
 
-if { ![variant_isset gcc43] && ![variant_isset gcc44] } {
-  default_variants      +gcc45
+variant gcc46 conflicts gcc43 gcc44 gcc45 gcc47 description "Use gfortran-mp-4.6 as fortran compiler" {
+  configure.compiler    macports-gcc-4.6
+  depends_lib-append    port:gcc46
+  set fc_options        "config_fc --fcompiler gnu95 --f77exec ${prefix}/bin/gfortran-mp-4.6 --f90exec ${prefix}/bin/gfortran-mp-4.6"
+  build.cmd-append      ${fc_options}
+  destroot.cmd-append   ${fc_options}
 }
 
+variant gcc47 conflicts gcc43 gcc44 gcc45 gcc46 description "Use gfortran-mp-4.7 as fortran compiler" {
+  configure.compiler    macports-gcc-4.7
+  depends_lib-append    port:gcc47
+  set fc_options        "config_fc --fcompiler gnu95 --f77exec ${prefix}/bin/gfortran-mp-4.7 --f90exec ${prefix}/bin/gfortran-mp-4.7"
+  build.cmd-append      ${fc_options}
+  destroot.cmd-append   ${fc_options}
+}
+
+if { ![variant_isset gcc43] && ![variant_isset gcc44] && ![variant_isset gcc45] && ![variant_isset gcc46] } {
+  default_variants      +gcc47
+}
+
 post-destroot {
     xinstall -m 755 -d ${destroot}${prefix}/share/doc/${name}
     xinstall -m 644 -W ${worksrcpath} README \
Index: python/py26-ngl/Portfile
===================================================================
diff --git a/trunk/dports/python/py26-ngl/Portfile b/trunk/dports/python/py26-ngl/Portfile
--- a/trunk/dports/python/py26-ngl/Portfile	(revision 103518)
+++ b/trunk/dports/python/py26-ngl/Portfile	(working copy)
@@ -44,11 +44,11 @@
                     NCARG_ROOT=${prefix}
 destroot.env        NCARG_ROOT=${prefix}
 
-if {![variant_isset g95] && ![variant_isset gcc43] && ![variant_isset gcc44] && ![variant_isset universal]} {
-    default_variants +gcc45
+if {![variant_isset g95] && ![variant_isset gcc43] && ![variant_isset gcc44] && ![variant_isset gcc45] && ![variant_isset gcc46] && ![variant_isset universal]} {
+    default_variants +gcc47
 }
 
-variant gcc43 conflicts g95 gcc44 gcc45 universal description {link to libraries build with gfortran 4.3} {
+variant gcc43 conflicts g95 gcc44 gcc45 gcc46 gcc47 universal description {link to libraries build with gfortran 4.3} {
     depends_build-append    port:gcc43
     configure.compiler  macports-gcc-4.3
     build.env-append    F2CLIBS=gfortran \
@@ -56,7 +56,7 @@
                         CC=${configure.cc}
 }
 
-variant gcc44 conflicts g95 gcc43 gcc45 universal description {link to libraries build with gfortran 4.4} {
+variant gcc44 conflicts g95 gcc43 gcc45 gcc46 gcc47 universal description {link to libraries build with gfortran 4.4} {
     depends_build-append    port:gcc44
     configure.compiler  macports-gcc-4.4
     build.env-append    F2CLIBS=gfortran \
@@ -64,7 +64,7 @@
                         CC=${configure.cc}
 }
 
-variant gcc45 conflicts g95 gcc43 gcc44 universal description {link to libraries build with gfortran 4.5} {
+variant gcc45 conflicts g95 gcc43 gcc44 gcc46 gcc47 universal description {link to libraries build with gfortran 4.5} {
     depends_build-append    port:gcc45
     configure.compiler  macports-gcc-4.5
     build.env-append    F2CLIBS=gfortran \
@@ -72,7 +72,23 @@
                         CC=${configure.cc}
 }
 
-variant g95 conflicts gcc43 gcc44 gcc45 universal description {link to libraries build with g95} {
+variant gcc46 conflicts g95 gcc43 gcc44 gcc45 gcc47 universal description {link to libraries build with gfortran 4.6} {
+    depends_build-append    port:gcc46
+    configure.compiler  macports-gcc-4.6
+    build.env-append    F2CLIBS=gfortran \
+                        F2CLIBS_PREFIX=${prefix}/lib/gcc46 \
+                        CC=${configure.cc}
+}
+
+variant gcc47 conflicts g95 gcc43 gcc44 gcc45 gcc46 universal description {link to libraries build with gfortran 4.7} {
+    depends_build-append    port:gcc47
+    configure.compiler  macports-gcc-4.7
+    build.env-append    F2CLIBS=gfortran \
+                        F2CLIBS_PREFIX=${prefix}/lib/gcc47 \
+                        CC=${configure.cc}
+}
+
+variant g95 conflicts gcc43 gcc44 gcc45 gcc46 gcc47 universal description {link to libraries build with g95} {
     depends_build-append    port:g95
     build.env-append    F2CLIBS=f95 \
                         F2CLIBS_PREFIX=${prefix}/lib \
Index: python/py26-nio/Portfile
===================================================================
diff --git a/trunk/dports/python/py26-nio/Portfile b/trunk/dports/python/py26-nio/Portfile
--- a/trunk/dports/python/py26-nio/Portfile	(revision 103518)
+++ b/trunk/dports/python/py26-nio/Portfile	(working copy)
@@ -47,11 +47,11 @@
                     NCARG_ROOT=${prefix}
 destroot.env        NCARG_ROOT=${prefix}
 
-if {![variant_isset g95] && ![variant_isset gcc43] && ![variant_isset gcc44] && ![variant_isset universal]} {
-    default_variants +gcc45
+if {![variant_isset g95] && ![variant_isset gcc43] && ![variant_isset gcc44] && ![variant_isset gcc45] && ![variant_isset gcc46] && ![variant_isset universal]} {
+    default_variants +gcc47
 }
 
-variant gcc43 conflicts g95 gcc44 gcc45 universal description {link to libraries build with gfortran 4.3} {
+variant gcc43 conflicts g95 gcc44 gcc45 gcc46 gcc47 universal description {link to libraries build with gfortran 4.3} {
     depends_build-append       port:gcc43
     configure.compiler  macports-gcc-4.3
     build.env-append    F2CLIBS=gfortran \
@@ -59,7 +59,7 @@
                         CC=${configure.cc}
 }
 
-variant gcc44 conflicts g95 gcc43 gcc45 universal description {link to libraries build with gfortran 4.4} {
+variant gcc44 conflicts g95 gcc43 gcc45 gcc46 gcc47 universal description {link to libraries build with gfortran 4.4} {
     depends_build-append       port:gcc44
     configure.compiler  macports-gcc-4.4
     build.env-append    F2CLIBS=gfortran \
@@ -67,7 +67,7 @@
                         CC=${configure.cc}
 }
 
-variant gcc45 conflicts g95 gcc43 gcc44 universal description {link to libraries build with gfortran 4.5} {
+variant gcc45 conflicts g95 gcc43 gcc44 gcc46 gcc47 universal description {link to libraries build with gfortran 4.5} {
     depends_build-append       port:gcc45
     configure.compiler  macports-gcc-4.5
     build.env-append    F2CLIBS=gfortran \
@@ -75,7 +75,23 @@
                         CC=${configure.cc}
 }
 
-variant g95 conflicts gcc43 gcc44 gcc45 universal description {link to libraries build with g95} {
+variant gcc46 conflicts g95 gcc43 gcc44 gcc45 gcc47 universal description {link to libraries build with gfortran 4.6} {
+    depends_build-append       port:gcc46
+    configure.compiler  macports-gcc-4.6
+    build.env-append    F2CLIBS=gfortran \
+                        F2CLIBS_PREFIX=${prefix}/lib/gcc46 \
+                        CC=${configure.cc}
+}
+
+variant gcc47 conflicts g95 gcc43 gcc44 gcc45 gcc46 universal description {link to libraries build with gfortran 4.7} {
+    depends_build-append       port:gcc47
+    configure.compiler  macports-gcc-4.7
+    build.env-append    F2CLIBS=gfortran \
+                        F2CLIBS_PREFIX=${prefix}/lib/gcc47 \
+                        CC=${configure.cc}
+}
+
+variant g95 conflicts gcc43 gcc44 gcc45 gcc46 gcc47 universal description {link to libraries build with g95} {
     depends_build-append       port:g95
     build.env-append    F2CLIBS=f95 \
                         F2CLIBS_PREFIX=${prefix}/lib \
Index: python/py26-pymc/Portfile
===================================================================
diff --git a/trunk/dports/python/py26-pymc/Portfile b/trunk/dports/python/py26-pymc/Portfile
--- a/trunk/dports/python/py26-pymc/Portfile	(revision 103518)
+++ b/trunk/dports/python/py26-pymc/Portfile	(working copy)
@@ -33,32 +33,44 @@
 depends_lib-append  port:py26-numpy
 python.add_archflags no
 
-variant gcc43 description {create Fortran wrappers using gcc43} conflicts gcc44 gcc45 g95 {
+variant gcc43 description {create Fortran wrappers using gcc43} conflicts gcc44 gcc45 gcc46 gcc47 g95 {
     depends_lib-append    port:gcc43
     set fc                ${prefix}/bin/gfortran-mp-4.3
     build.env-append      F77=${fc} F90=${fc}
 }
 
-variant gcc44 description {create Fortran wrappers using gcc44} conflicts gcc43 gcc45 g95 {
+variant gcc44 description {create Fortran wrappers using gcc44} conflicts gcc43 gcc45 gcc46 gcc47 g95 {
     depends_lib-append    port:gcc44
     set fc                ${prefix}/bin/gfortran-mp-4.4
     build.env-append      F77=${fc} F90=${fc}
 }
 
-variant gcc45 description {create Fortran wrappers using gcc45} conflicts gcc43 gcc44 g95 {
+variant gcc45 description {create Fortran wrappers using gcc45} conflicts gcc43 gcc44 gcc46 gcc47 g95 {
     depends_lib-append    port:gcc45
     set fc                ${prefix}/bin/gfortran-mp-4.5
     build.env-append      F77=${fc} F90=${fc}
 }
 
-variant g95 description {create Fortran wrappers using f95} conflicts gcc43 gcc44 gcc45 {
+variant gcc46 description {create Fortran wrappers using gcc46} conflicts gcc43 gcc44 gcc45 gcc47 g95 {
+    depends_lib-append    port:gcc46
+    set fc                ${prefix}/bin/gfortran-mp-4.6
+    build.env-append      F77=${fc} F90=${fc}
+}
+
+variant gcc47 description {create Fortran wrappers using gcc47} conflicts gcc43 gcc44 gcc45 gcc46 g95 {
+    depends_lib-append    port:gcc47
+    set fc                ${prefix}/bin/gfortran-mp-4.7
+    build.env-append      F77=${fc} F90=${fc}
+}
+
+variant g95 description {create Fortran wrappers using f95} conflicts gcc43 gcc44 gcc45 gcc46 gcc47 {
     depends_lib-append    port:g95
     set fc                ${prefix}/bin/g95
     build.env-append      F77=${fc} F90=${fc}
 }
 
-if {![variant_isset gcc43] && ![variant_isset gcc44] && ![variant_isset g95]} {
-	   default_variants +gcc45
+if {![variant_isset gcc43] && ![variant_isset gcc44] && ![variant_isset gcc45] && ![variant_isset gcc46] && ![variant_isset g95]} {
+	   default_variants +gcc47
 }
 
 livecheck.regex         <a href=\"http://pymc.googlecode.com/files/pymc-(\[\\d\.\]+)${extract.suffix}
Index: python/py26-pymvpa/Portfile
===================================================================
diff --git a/trunk/dports/python/py26-pymvpa/Portfile b/trunk/dports/python/py26-pymvpa/Portfile
--- a/trunk/dports/python/py26-pymvpa/Portfile	(revision 103518)
+++ b/trunk/dports/python/py26-pymvpa/Portfile	(working copy)
@@ -65,23 +65,33 @@
     depends_lib-delete port:shogun
 }
 
-variant gcc43 conflicts gcc44 description {build with gcc 4.3} {
+variant gcc43 conflicts gcc44 gcc45 gcc46 gcc47 description {build with gcc 4.3} {
     depends_build-append port:gcc43
 }
-variant gcc44 conflicts gcc43 description {build with gcc 4.4} {
+variant gcc44 conflicts gcc43 gcc45 gcc46 gcc47 description {build with gcc 4.4} {
     depends_build-append port:gcc44
 }
-variant gcc45 conflicts gcc43 gcc44 description {build with gcc 4.5} {
+variant gcc45 conflicts gcc43 gcc44 gcc46 gcc47 description {build with gcc 4.5} {
     depends_build-append port:gcc45
 }
+variant gcc46 conflicts gcc43 gcc44 gcc45 gcc47 description {build with gcc 4.6} {
+    depends_build-append port:gcc46
+}
+variant gcc47 conflicts gcc43 gcc44 gcc45 gcc46 description {build with gcc 4.7} {
+    depends_build-append port:gcc47
+}
 
 if {[variant_isset gcc43]} {
     set gccversion 4.3
 } elseif {[variant_isset gcc44]} {
     set gccversion 4.4
+} elseif {[variant_isset gcc45]} {
+    set gccversion 4.5
+} elseif {[variant_isset gcc46]} {
+    set gccversion 4.6
 } else {
-    default_variants +gcc45
-    set gccversion 4.5
+    default_variants +gcc47
+    set gccversion 4.7
 }
 
 set gccnumber [join [split ${gccversion} .] ""]
Index: python/py26-pynifti/Portfile
===================================================================
diff --git a/trunk/dports/python/py26-pynifti/Portfile b/trunk/dports/python/py26-pynifti/Portfile
--- a/trunk/dports/python/py26-pynifti/Portfile	(revision 103518)
+++ b/trunk/dports/python/py26-pynifti/Portfile	(working copy)
@@ -31,23 +31,33 @@
   reinplace "s|@@PREFIX@@|${prefix}|g" ${worksrcpath}/setup.py
 }
 
-variant gcc43 conflicts gcc44 gcc45 description {build with gcc 4.3} {
+variant gcc43 conflicts gcc44 gcc45 gcc46 gcc47 description {build with gcc 4.3} {
     depends_build-append port:gcc43
     configure.compiler   macports-gcc-4.3
 }
 
-variant gcc44 conflicts gcc43 gcc45 description {build with gcc 4.4} {
+variant gcc44 conflicts gcc43 gcc45 gcc46 gcc47 description {build with gcc 4.4} {
     depends_build-append port:gcc44
     configure.compiler   macports-gcc-4.4
 }
 
-variant gcc45 conflicts gcc43 gcc44 description {build with gcc 4.5} {
+variant gcc45 conflicts gcc43 gcc44 gcc46 gcc47 description {build with gcc 4.5} {
     depends_build-append port:gcc45
     configure.compiler   macports-gcc-4.5
 }
 
-if {![variant_isset gcc43] && ![variant_isset gcc44]} {
-    default_variants +gcc45
+variant gcc46 conflicts gcc43 gcc44 gcc45 gcc47 description {build with gcc 4.6} {
+    depends_build-append port:gcc46
+    configure.compiler   macports-gcc-4.6
 }
 
+variant gcc47 conflicts gcc43 gcc44 gcc45 gcc46 description {build with gcc 4.7} {
+    depends_build-append port:gcc47
+    configure.compiler   macports-gcc-4.7
+}
+
+if {![variant_isset gcc43] && ![variant_isset gcc44] && ![variant_isset gcc45] && ![variant_isset gcc46]} {
+    default_variants +gcc47
+}
+
 livecheck.regex {pynifti_([0-9.]+).tar.gz}
Index: python/py27-pymc/Portfile
===================================================================
diff --git a/trunk/dports/python/py27-pymc/Portfile b/trunk/dports/python/py27-pymc/Portfile
--- a/trunk/dports/python/py27-pymc/Portfile	(revision 103518)
+++ b/trunk/dports/python/py27-pymc/Portfile	(working copy)
@@ -33,32 +33,44 @@
 depends_lib-append  port:py27-numpy
 python.add_archflags no
 
-variant gcc43 description {create Fortran wrappers using gcc43} conflicts gcc44 gcc45 g95 {
+variant gcc43 description {create Fortran wrappers using gcc43} conflicts gcc44 gcc45 gcc46 gcc47 g95 {
     depends_lib-append    port:gcc43
     set fc                ${prefix}/bin/gfortran-mp-4.3
     build.env-append      F77=${fc} F90=${fc}
 }
 
-variant gcc44 description {create Fortran wrappers using gcc44} conflicts gcc43 gcc45 g95 {
+variant gcc44 description {create Fortran wrappers using gcc44} conflicts gcc43 gcc45 gcc46 gcc47 g95 {
     depends_lib-append    port:gcc44
     set fc                ${prefix}/bin/gfortran-mp-4.4
     build.env-append      F77=${fc} F90=${fc}
 }
 
-variant gcc45 description {create Fortran wrappers using gcc45} conflicts gcc43 gcc44 g95 {
+variant gcc45 description {create Fortran wrappers using gcc45} conflicts gcc43 gcc44 gcc46 gcc47 g95 {
     depends_lib-append    port:gcc45
     set fc                ${prefix}/bin/gfortran-mp-4.5
     build.env-append      F77=${fc} F90=${fc}
 }
 
-variant g95 description {create Fortran wrappers using f95} conflicts gcc43 gcc44 gcc45 {
+variant gcc46 description {create Fortran wrappers using gcc46} conflicts gcc43 gcc44 gcc45 gcc47 g95 {
+    depends_lib-append    port:gcc46
+    set fc                ${prefix}/bin/gfortran-mp-4.6
+    build.env-append      F77=${fc} F90=${fc}
+}
+
+variant gcc47 description {create Fortran wrappers using gcc47} conflicts gcc43 gcc44 gcc45 gcc46 g95 {
+    depends_lib-append    port:gcc47
+    set fc                ${prefix}/bin/gfortran-mp-4.7
+    build.env-append      F77=${fc} F90=${fc}
+}
+
+variant g95 description {create Fortran wrappers using f95} conflicts gcc43 gcc44 gcc45 gcc46 gcc47 {
     depends_lib-append    port:g95
     set fc                ${prefix}/bin/g95
     build.env-append      F77=${fc} F90=${fc}
 }
 
-if {![variant_isset gcc43] && ![variant_isset gcc44] && ![variant_isset g95]} {
-	   default_variants +gcc45
+if {![variant_isset gcc43] && ![variant_isset gcc44] && ![variant_isset gcc45] && ![variant_isset gcc46] && ![variant_isset g95]} {
+	   default_variants +gcc47
 }
 
 livecheck.regex         <a href=\"http://pymc.googlecode.com/files/pymc-(\[\\d\.\]+)${extract.suffix}
Index: science/apbs/Portfile
===================================================================
diff --git a/trunk/dports/science/apbs/Portfile b/trunk/dports/science/apbs/Portfile
--- a/trunk/dports/science/apbs/Portfile	(revision 103518)
+++ b/trunk/dports/science/apbs/Portfile	(working copy)
@@ -6,7 +6,7 @@
 
 name                apbs
 version             1.3.0
-revision            1
+revision            2
 set branch          [join [lrange [split ${version} .] 0 1] .]
 categories          science
 maintainers         bromo.med.uc.edu:howarth
@@ -25,7 +25,7 @@
 checksums           md5     f99a505365f07f6853979cfe2ef23365 \
                     sha1    1494f36e35f2e4b1a18d4b22516fad4948c6391f
 
-depends_lib         port:gcc45 \
+depends_lib         port:gcc47 \
                     port:readline \
                     port:py26-zsi
 patchfiles          apbs.diff
@@ -36,7 +36,7 @@
 
 build.cmd           make
 build.target        all
-configure.env       py_path=${python.bin} F77=gfortran-mp-4.5
+configure.env       py_path=${python.bin} F77=gfortran-mp-4.7
 configure.args      --enable-python --with-python=${python.bin} --with-blas="-L/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A -lblas -Wl,-framework -Wl,vecLib -Wl,-undefined -Wl,dynamic_lookup" FFLAGS="-O3"
 
 post-patch {
Index: science/apbs-mpi/Portfile
===================================================================
diff --git a/trunk/dports/science/apbs-mpi/Portfile b/trunk/dports/science/apbs-mpi/Portfile
--- a/trunk/dports/science/apbs-mpi/Portfile	(revision 103518)
+++ b/trunk/dports/science/apbs-mpi/Portfile	(working copy)
@@ -5,7 +5,7 @@
 
 name                apbs-mpi
 version             1.3.0
-revision            1
+revision            2
 set branch          [join [lrange [split ${version} .] 0 1] .]
 categories          science
 maintainers         bromo.med.uc.edu:howarth
@@ -21,7 +21,7 @@
 distname            apbs-${branch}-source
 checksums           md5     f99a505365f07f6853979cfe2ef23365 \
                     sha1    1494f36e35f2e4b1a18d4b22516fad4948c6391f
-depends_lib         port:gcc45 \
+depends_lib         port:gcc47 \
                     port:readline \
                     port:openmpi
 depends_run         port:apbs
Index: science/bali-phy/Portfile
===================================================================
diff --git a/trunk/dports/science/bali-phy/Portfile b/trunk/dports/science/bali-phy/Portfile
--- a/trunk/dports/science/bali-phy/Portfile	(revision 103518)
+++ b/trunk/dports/science/bali-phy/Portfile	(working copy)
@@ -39,21 +39,31 @@
     configure.args-append   --with-mpi
 }
 
-variant gcc43 conflicts gcc44 gcc45 description {build using macports-gcc-4.3} {
+variant gcc43 conflicts gcc44 gcc45 gcc46 gcc47 description {build using macports-gcc-4.3} {
     depends_lib-append  port:gcc43
     configure.compiler  macports-gcc-4.3
 }
 
-variant gcc44 conflicts gcc43 gcc45 description {build using macports-gcc-4.4} {
+variant gcc44 conflicts gcc43 gcc45 gcc46 gcc47 description {build using macports-gcc-4.4} {
     depends_lib-append  port:gcc44
     configure.compiler  macports-gcc-4.4
 }
 
-variant gcc45 conflicts gcc43 gcc44 description {build using macports-gcc-4.5} {
+variant gcc45 conflicts gcc43 gcc44 gcc46 gcc47 description {build using macports-gcc-4.5} {
     depends_lib-append  port:gcc45
     configure.compiler  macports-gcc-4.5
 }
 
+variant gcc46 conflicts gcc43 gcc44 gcc45 gcc47 description {build using macports-gcc-4.6} {
+    depends_lib-append  port:gcc46
+    configure.compiler  macports-gcc-4.6
+}
+
+variant gcc47 conflicts gcc43 gcc44 gcc45 gcc46 description {build using macports-gcc-4.7} {
+    depends_lib-append  port:gcc47
+    configure.compiler  macports-gcc-4.7
+}
+
 livecheck.type  regex
 livecheck.url   ${master_sites}
 livecheck.regex {BAli-Phy (\d+\.\d+\.\d+) released}
Index: science/ccpnmr/Portfile
===================================================================
diff --git a/trunk/dports/science/ccpnmr/Portfile b/trunk/dports/science/ccpnmr/Portfile
--- a/trunk/dports/science/ccpnmr/Portfile	(revision 103518)
+++ b/trunk/dports/science/ccpnmr/Portfile	(working copy)
@@ -5,7 +5,7 @@
 
 name                ccpnmr
 version             2.2.2
-revision            1
+revision            2
 set branch          [join [lrange [split $version .] 0 1] .]
 categories          science python
 maintainers         bromo.med.uc.edu:howarth
@@ -23,7 +23,7 @@
 checksums           md5     a3ede39ed484d261eb82137055dc66a1 \
                     sha1    825ad7487ef6191baac0e5aa3d0ec6a6ed94a04f
 worksrcdir          ${name}
-depends_lib         port:py27-scipy port:mesa port:freeglut port:tk port:py27-tkinter port:gcc45
+depends_lib         port:py27-scipy port:mesa port:freeglut port:tk port:py27-tkinter port:gcc47
 patchfiles          ccpnmr.patch
 use_configure       no
 
@@ -56,7 +56,7 @@
     copy ${worksrcpath}/ccpnmr${branch}/c/environment-opengl.txt ${worksrcpath}/ccpnmr${branch}/c/environment.txt
 }
 
-configure.compiler  macports-gcc-4.5
+configure.compiler  macports-gcc-4.7
 build.args      CC=${configure.cc} ARCHFLAGS="${configure.cc_archflags}"
 build.dir       ${worksrcpath}/ccpnmr${branch}/c
 build.target    all links
Index: science/cdf/Portfile
===================================================================
diff --git a/trunk/dports/science/cdf/Portfile b/trunk/dports/science/cdf/Portfile
--- a/trunk/dports/science/cdf/Portfile	(revision 103518)
+++ b/trunk/dports/science/cdf/Portfile	(working copy)
@@ -102,7 +102,7 @@
 }
 
 if {![variant_isset gcc44] && ![variant_isset gcc45] && ![variant_isset gcc46] && ![variant_isset gcc47]} {
-    default_variants +gcc45
+    default_variants +gcc47
 }
 
 livecheck.type          regex
Index: science/ds9/Portfile
===================================================================
diff --git a/trunk/dports/science/ds9/Portfile b/trunk/dports/science/ds9/Portfile
--- a/trunk/dports/science/ds9/Portfile	(revision 103518)
+++ b/trunk/dports/science/ds9/Portfile	(working copy)
@@ -5,6 +5,7 @@
 
 name                    ds9
 version                 7.1
+revision                1
 categories              science
 platforms               darwin
 maintainers             aronnax
@@ -23,7 +24,7 @@
 checksums               sha1    417543d6fd67d4507f4bbe098e22456e11c9373f \
                         rmd160  6b65af16dfb6320c4d3629b83acda1f2a79dca49
 
-depends_build-append    port:gcc45
+depends_build-append    port:gcc47
 depends_lib-append      port:xorg-libX11 \
                         port:xorg-libXext \
                         port:Xft2 \
@@ -76,7 +77,7 @@
 # The 'ast' component apparently checks for a working Fortran compiler,
 # even though there appears to be no Fortran code. Is it possible to remove this
 # dependency?
-configure.fc            ${prefix}/bin/gfortran-mp-4.5
+configure.fc            ${prefix}/bin/gfortran-mp-4.7
 
 # The 'configure' stage for ds9 consists of copying or symbolically linking a
 # platform-specific file to 'make.include'.
Index: science/emos/Portfile
===================================================================
diff --git a/trunk/dports/science/emos/Portfile b/trunk/dports/science/emos/Portfile
--- a/trunk/dports/science/emos/Portfile	(revision 103518)
+++ b/trunk/dports/science/emos/Portfile	(working copy)
@@ -95,8 +95,8 @@
 }
 
 use_parallel_build  no
-if {![variant_isset gcc43] && ![variant_isset gcc44] && ![variant_isset gcc46] && ![variant_isset gcc47] && ![variant_isset g95]} {
-    default_variants    +gcc45
+if {![variant_isset gcc43] && ![variant_isset gcc44] && ![variant_isset gcc45] && ![variant_isset gcc46] && ![variant_isset g95]} {
+    default_variants    +gcc47
 }
 if {[variant_isset g95]} {
     configure.fflags-append -r8 -fsloppy-char -fno-second-underscore -DUSE_NO_POINTERS -DINTEGER_IS_INT -Dlinux
Index: science/eo/Portfile
===================================================================
diff --git a/trunk/dports/science/eo/Portfile b/trunk/dports/science/eo/Portfile
--- a/trunk/dports/science/eo/Portfile	(revision 103518)
+++ b/trunk/dports/science/eo/Portfile	(working copy)
@@ -60,7 +60,7 @@
         configure.args-delete   --disable-tutorial
 }
 
-variant gcc43 conflicts gcc44 gcc45 description "Use GCC 4.3 for compilation of EO - optimized for host machine" {
+variant gcc43 conflicts gcc44 gcc45 gcc46 gcc47 description "Use GCC 4.3 for compilation of EO - optimized for host machine" {
     depends_build-append        port:gcc43
     configure.cc                gcc-mp-4.3
     configure.cxx               g++-mp-4.3
@@ -68,7 +68,7 @@
     configure.cxxflags-append   "-ftree-vectorize -march=native -O3"
 }
 
-variant gcc44 conflicts gcc43 gcc45 description "Use GCC 4.4 for compilation of EO - optimized for host machine" {
+variant gcc44 conflicts gcc43 gcc45 gcc46 gcc47 description "Use GCC 4.4 for compilation of EO - optimized for host machine" {
     depends_build-append        port:gcc44
     configure.cc                gcc-mp-4.4
     configure.cxx               g++-mp-4.4
@@ -76,10 +76,26 @@
     configure.cxxflags-append   "-ftree-vectorize -march=native -O3"
 }
 
-variant gcc45 conflicts gcc43 gcc44 description "Use GCC 4.5 for compilation of EO - optimized for host machine" {
+variant gcc45 conflicts gcc43 gcc44 gcc46 gcc47 description "Use GCC 4.5 for compilation of EO - optimized for host machine" {
     depends_build-append        port:gcc45
     configure.cc                gcc-mp-4.5
     configure.cxx               g++-mp-4.5
     configure.cflags-append     "-ftree-vectorize -march=native -O3"
     configure.cxxflags-append   "-ftree-vectorize -march=native -O3"
 }
+
+variant gcc46 conflicts gcc43 gcc44 gcc45 gcc47 description "Use GCC 4.6 for compilation of EO - optimized for host machine" {
+    depends_build-append        port:gcc46
+    configure.cc                gcc-mp-4.6
+    configure.cxx               g++-mp-4.6
+    configure.cflags-append     "-ftree-vectorize -march=native -O3"
+    configure.cxxflags-append   "-ftree-vectorize -march=native -O3"
+}
+
+variant gcc47 conflicts gcc43 gcc44 gcc45 gcc46 description "Use GCC 4.7 for compilation of EO - optimized for host machine" {
+    depends_build-append        port:gcc47
+    configure.cc                gcc-mp-4.7
+    configure.cxx               g++-mp-4.7
+    configure.cflags-append     "-ftree-vectorize -march=native -O3"
+    configure.cxxflags-append   "-ftree-vectorize -march=native -O3"
+}
Index: science/gpp4/Portfile
===================================================================
diff --git a/trunk/dports/science/gpp4/Portfile b/trunk/dports/science/gpp4/Portfile
--- a/trunk/dports/science/gpp4/Portfile	(revision 103518)
+++ b/trunk/dports/science/gpp4/Portfile	(working copy)
@@ -54,8 +54,8 @@
     depends_lib-append port:gcc47
 }
 
-if {![variant_isset gcc43] && ![variant_isset gcc44] && ![variant_isset gcc46] && ![variant_isset gcc47]} {
-    default_variants +gcc45
+if {![variant_isset gcc43] && ![variant_isset gcc44] && ![variant_isset gcc45] && ![variant_isset gcc46]} {
+    default_variants +gcc47
 }
 
 universal_variant no
Index: science/hdf5/Portfile
===================================================================
diff --git a/trunk/dports/science/hdf5/Portfile b/trunk/dports/science/hdf5/Portfile
--- a/trunk/dports/science/hdf5/Portfile	(revision 103518)
+++ b/trunk/dports/science/hdf5/Portfile	(working copy)
@@ -58,7 +58,7 @@
     configure.args-delete   --disable-fortran
     configure.args-append   --enable-fortran
     pre-fetch {
-        if { ![variant_isset gcc45] && ![variant_isset gcc44] && ![variant_isset gcc43] && ![variant_isset g95] } {
+        if { ![variant_isset gcc47] && ![variant_isset gcc46] && ![variant_isset gcc45] && ![variant_isset gcc44] && ![variant_isset gcc43] && ![variant_isset g95] } {
             error "You must specify a compiler variant in order to build the Fortran interface"
         }
     }
@@ -76,34 +76,46 @@
 }
 
 
-variant gcc43 conflicts g95 gcc44 gcc45 description {Compile using GCC 4.3} {
+variant gcc43 conflicts g95 gcc44 gcc45 gcc46 gcc47 description {Compile using GCC 4.3} {
     depends_lib-append          port:gcc43
     configure.compiler          macports-gcc-4.3
     configure.env-append        LD=${prefix}/bin/g++-mp-4.3
 }
 
-variant gcc44 conflicts g95 gcc43 gcc45 description {Compile using GCC 4.4} {
+variant gcc44 conflicts g95 gcc43 gcc45 gcc46 gcc47 description {Compile using GCC 4.4} {
     depends_lib-append          port:gcc44
     configure.compiler          macports-gcc-4.4
     configure.env-append        LD=${prefix}/bin/g++-mp-4.4
 }
 
-variant gcc45 conflicts g95 gcc43 gcc44 description {Compile using GCC 4.5} {
+variant gcc45 conflicts g95 gcc43 gcc44 gcc46 gcc47 description {Compile using GCC 4.5} {
     depends_lib-append          port:gcc45
     configure.compiler          macports-gcc-4.5
     configure.env-append        LD=${prefix}/bin/g++-mp-4.5
 }
 
-variant g95 requires fortran conflicts gcc43 gcc44 gcc45 description {Use g95 Fortran compiler (unsupported)} {
+variant gcc46 conflicts g95 gcc43 gcc44 gcc45 gcc47 description {Compile using GCC 4.6} {
+    depends_lib-append          port:gcc46
+    configure.compiler          macports-gcc-4.6
+    configure.env-append        LD=${prefix}/bin/g++-mp-4.6
+}
+
+variant gcc47 conflicts g95 gcc43 gcc44 gcc45 gcc46 description {Compile using GCC 4.7} {
+    depends_lib-append          port:gcc47
+    configure.compiler          macports-gcc-4.7
+    configure.env-append        LD=${prefix}/bin/g++-mp-4.7
+}
+
+variant g95 requires fortran conflicts gcc43 gcc44 gcc45 gcc46 gcc47 description {Use g95 Fortran compiler (unsupported)} {
     depends_lib-append          port:g95
     patchfiles-append           patch-powerpc-apple.diff
     configure.fc                ${prefix}/bin/g95
 }
 
-variant optimized description {Higher compiler optimization for host machine (esp. for gcc43/gcc44)} {
+variant optimized description {Higher compiler optimization for host machine} {
     configure.optflags-delete     -O2
     configure.optflags-append     -ftree-vectorize -O3
-    if { [variant_isset gcc43] || [variant_isset gcc44] } {
+    if { [variant_isset gcc43] || [variant_isset gcc44] || [variant_isset gcc45] || [variant_isset gcc46] || [variant_isset gcc47] } {
         configure.optflags-append     -march=native
     }
 }
Index: science/jags/Portfile
===================================================================
diff --git a/trunk/dports/science/jags/Portfile b/trunk/dports/science/jags/Portfile
--- a/trunk/dports/science/jags/Portfile	(revision 103518)
+++ b/trunk/dports/science/jags/Portfile	(working copy)
@@ -28,25 +28,35 @@
 configure.args      --with-blas='-framework vecLib' \
                     --with-lapack='-framework vecLib'
 
-variant gcc43 conflicts gcc44 gcc45 description {Use the gcc43 compiler} {
+variant gcc43 conflicts gcc44 gcc45 gcc46 gcc47 description {Use the gcc43 compiler} {
     depends_lib-append  port:gcc43
     configure.compiler  macports-gcc-4.3
 }
 
-variant gcc44 conflicts gcc43 gcc45 description {Use the gcc44 compiler} {
+variant gcc44 conflicts gcc43 gcc45 gcc46 gcc47 description {Use the gcc44 compiler} {
     depends_lib-append  port:gcc44
     configure.compiler  macports-gcc-4.4
 }
 
-variant gcc45 conflicts gcc43 gcc44 description {Use the gcc45 compiler} {
+variant gcc45 conflicts gcc43 gcc44 gcc46 gcc47 description {Use the gcc45 compiler} {
     depends_lib-append  port:gcc45
     configure.compiler  macports-gcc-4.5
 }
 
-if {![variant_isset gcc43] && ![variant_isset gcc44]} {
-    default_variants +gcc45
+variant gcc46 conflicts gcc43 gcc44 gcc45 gcc47 description {Use the gcc46 compiler} {
+    depends_lib-append  port:gcc46
+    configure.compiler  macports-gcc-4.6
 }
 
+variant gcc47 conflicts gcc43 gcc44 gcc45 gcc46 description {Use the gcc47 compiler} {
+    depends_lib-append  port:gcc47
+    configure.compiler  macports-gcc-4.7
+}
+
+if {![variant_isset gcc43] && ![variant_isset gcc44] && ![variant_isset gcc45] && ![variant_isset gcc46]} {
+    default_variants +gcc47
+}
+
 pre-build {
     build.env-append    CC="${configure.cc}" \
                         CXX="${configure.cxx}" \
Index: science/lanHEP/Portfile
===================================================================
diff --git a/trunk/dports/science/lanHEP/Portfile b/trunk/dports/science/lanHEP/Portfile
--- a/trunk/dports/science/lanHEP/Portfile	(revision 103518)
+++ b/trunk/dports/science/lanHEP/Portfile	(working copy)
@@ -5,6 +5,7 @@
 name		lanHEP
 set shortname	lhep
 version		3.1.5
+revision	1
 set shortversion	315
 categories	science
 maintainers	nomaintainer
@@ -30,12 +31,12 @@
 		sha1    5469899da20645a14f0a2d1a0e18149fa46c33a9 \
 		rmd160  779f8226a7da7977c671ecd7e17d38f55651fbf5
 
-depends_build	port:gcc43
+depends_build	port:gcc47
 
 use_parallel_build	no
 use_configure	no
 
-build.env-append	FC=gfortran-mp-4.3
+build.env-append	FC=gfortran-mp-4.7
 build.target	{ }
 
 destroot {
Index: science/libctl/Portfile
===================================================================
diff --git a/trunk/dports/science/libctl/Portfile b/trunk/dports/science/libctl/Portfile
--- a/trunk/dports/science/libctl/Portfile	(revision 103518)
+++ b/trunk/dports/science/libctl/Portfile	(working copy)
@@ -26,30 +26,35 @@
 
 depends_lib			port:guile16
 
-variant gcc43 conflicts gcc44 gcc45 gcc46 description {Compile with gcc 4.3} {
+variant gcc43 conflicts gcc44 gcc45 gcc46 gcc47 description {Compile with gcc 4.3} {
     configure.compiler	macports-gcc-4.3
     depends_lib-append	port:gcc43
 }
 
-variant gcc44 conflicts gcc43 gcc45 gcc46 description {Compile with gcc 4.4} {
+variant gcc44 conflicts gcc43 gcc45 gcc46 gcc47 description {Compile with gcc 4.4} {
     configure.compiler	macports-gcc-4.4
     depends_lib-append	port:gcc44
 }
 
-variant gcc45 conflicts gcc43 gcc44 gcc46 description {Compile with gcc 4.5} {
+variant gcc45 conflicts gcc43 gcc44 gcc46 gcc47 description {Compile with gcc 4.5} {
     configure.compiler	macports-gcc-4.5
     depends_lib-append	port:gcc45
 }
 
-variant gcc46 conflicts gcc43 gcc44 gcc45 description {Compile with gcc 4.6} {
+variant gcc46 conflicts gcc43 gcc44 gcc45 gcc47 description {Compile with gcc 4.6} {
     configure.compiler	macports-gcc-4.6
     depends_lib-append	port:gcc46
 }
 
-if {![variant_isset gcc43] && ![variant_isset gcc44] && ![variant_isset gcc46]} {
-    default_variants +gcc45
+variant gcc47 conflicts gcc43 gcc44 gcc45 gcc46 description {Compile with gcc 4.7} {
+    configure.compiler	macports-gcc-4.7
+    depends_lib-append	port:gcc47
 }
 
+if {![variant_isset gcc43] && ![variant_isset gcc44] && ![variant_isset gcc45] && ![variant_isset gcc46]} {
+    default_variants +gcc47
+}
+
 patchfiles			guile16.diff
 
 use_autoreconf		yes
Index: science/libxc/Portfile
===================================================================
diff --git a/trunk/dports/science/libxc/Portfile b/trunk/dports/science/libxc/Portfile
--- a/trunk/dports/science/libxc/Portfile	(revision 103518)
+++ b/trunk/dports/science/libxc/Portfile	(working copy)
@@ -5,7 +5,7 @@
 
 name                libxc
 version             1.0
-revision            1
+revision            2
 categories          science
 platforms           darwin
 maintainers         googlemail.com:fabian.renn
@@ -24,8 +24,8 @@
 checksums           sha1    48a54c718bfb8784bf5e6aadf82d62ffb70bc5a2 \
                     rmd160  0e48a6ab484d1c9f6e305dfc9c860e46c01aa330
 
-depends_lib         port:gcc45
-configure.compiler  macports-gcc-4.5
+depends_lib         port:gcc47
+configure.compiler  macports-gcc-4.7
 
 configure.args      --with-gnu-ld
 
Index: science/magicspp/Portfile
===================================================================
diff --git a/trunk/dports/science/magicspp/Portfile b/trunk/dports/science/magicspp/Portfile
--- a/trunk/dports/science/magicspp/Portfile	(revision 103518)
+++ b/trunk/dports/science/magicspp/Portfile	(working copy)
@@ -45,8 +45,8 @@
 
 use_parallel_build  no
 universal_variant   no
-if {![variant_isset gcc43] && ![variant_isset gcc44] && ![variant_isset gcc46] && ![variant_isset gcc47]} {
-    default_variants    +gcc45
+if {![variant_isset gcc43] && ![variant_isset gcc44] && ![variant_isset gcc45] && ![variant_isset gcc46]} {
+    default_variants    +gcc47
 }
 if {![variant_isset python25] && ![variant_isset python26]} {
     default_variants-append +python27
Index: science/miriad/Portfile
===================================================================
diff --git a/trunk/dports/science/miriad/Portfile b/trunk/dports/science/miriad/Portfile
--- a/trunk/dports/science/miriad/Portfile	(revision 103518)
+++ b/trunk/dports/science/miriad/Portfile	(working copy)
@@ -79,7 +79,7 @@
 }
 
 if {![variant_isset gcc45] && ![variant_isset gcc46] && ![variant_isset gcc47] && ![variant_isset gcc_select]} {
-    default_variants +gcc45
+    default_variants +gcc47
 }
 
 universal_variant    no
Index: science/molden/Portfile
===================================================================
diff --git a/trunk/dports/science/molden/Portfile b/trunk/dports/science/molden/Portfile
--- a/trunk/dports/science/molden/Portfile	(revision 103518)
+++ b/trunk/dports/science/molden/Portfile	(working copy)
@@ -85,23 +85,23 @@
     configure.compiler      macports-gcc-4.5
 }
 
-variant gcc46 conflicts gcc44 gcc45 gcc47 gcc48 description {Build using gcc43} {
+variant gcc46 conflicts gcc44 gcc45 gcc47 gcc48 description {Build using gcc46} {
     depends_lib-append      port:gcc46
     configure.compiler      macports-gcc-4.6
 }
 
-variant gcc47 conflicts gcc44 gcc45 gcc46 gcc48 description {Build using gcc43} {
+variant gcc47 conflicts gcc44 gcc45 gcc46 gcc48 description {Build using gcc47} {
     depends_lib-append      port:gcc47
     configure.compiler      macports-gcc-4.7
 }
 
-variant gcc48 conflicts gcc44 gcc45 gcc46 gcc47 description {Build using gcc43} {
+variant gcc48 conflicts gcc44 gcc45 gcc46 gcc47 description {Build using gcc48} {
     depends_lib-append      port:gcc48
     configure.compiler      macports-gcc-4.8
 }
 
 if {![variant_isset gcc44] && ![variant_isset gcc45] && ![variant_isset gcc46] && ![variant_isset gcc47] && ![variant_isset gcc48]} {
-    default_variants +gcc45
+    default_variants +gcc47
 }
 
 variant opengl description "Install moldenogl OpenGL helper program" {
Index: science/ncarg/Portfile
===================================================================
diff --git a/trunk/dports/science/ncarg/Portfile b/trunk/dports/science/ncarg/Portfile
--- a/trunk/dports/science/ncarg/Portfile	(revision 103518)
+++ b/trunk/dports/science/ncarg/Portfile	(working copy)
@@ -92,6 +92,10 @@
         set fortranlib  "-L${prefix}/lib/gcc44 -lgfortran"
     } elseif {[variant_isset gcc45]} {
         set fortranlib  "-L${prefix}/lib/gcc45 -lgfortran"
+    } elseif {[variant_isset gcc46]} {
+        set fortranlib  "-L${prefix}/lib/gcc46 -lgfortran"
+    } elseif {[variant_isset gcc47]} {
+        set fortranlib  "-L${prefix}/lib/gcc47 -lgfortran"
     } 
     foreach f {Darwin Darwin_Intel} {
         reinplace "s|-lgfortran|${fortranlib}|" ${worksrcpath}/config/${f}
@@ -216,31 +220,41 @@
 # Only configure.fc is set (against UsingTheRightCompiler) since
 # ncl function setfileoption() causes Segmentation Fault
 # when built with macports-gcc-4.x.
-variant g95 conflicts gcc43 gcc44 gcc45 description {compile with g95} {
+variant g95 conflicts gcc43 gcc44 gcc45 gcc46 gcc47 description {compile with g95} {
     configure.fc            ${prefix}/bin/g95
     depends_build-append    port:g95
     configure.fflags-append -fno-second-underscore
 }
 
-variant gcc43 conflicts gcc44 gcc45 g95 description {compile with gcc 4.3} {
+variant gcc43 conflicts gcc44 gcc45 gcc46 gcc47 g95 description {compile with gcc 4.3} {
     configure.fc        ${prefix}/bin/gfortran-mp-4.3
     depends_build-append    port:gcc43
 }
 
-variant gcc44 conflicts gcc43 gcc45 g95 description {compile with gcc 4.4} {
+variant gcc44 conflicts gcc43 gcc45 gcc46 gcc47 g95 description {compile with gcc 4.4} {
     configure.fc        ${prefix}/bin/gfortran-mp-4.4
     depends_build-append    port:gcc44
 }
 
-variant gcc45 conflicts gcc43 gcc44 g95 description {compile with gcc 4.5} {
+variant gcc45 conflicts gcc43 gcc44 gcc46 gcc47 g95 description {compile with gcc 4.5} {
     configure.fc        ${prefix}/bin/gfortran-mp-4.5
     depends_build-append    port:gcc45
 }
 
-if {![variant_isset gcc43] && ![variant_isset gcc44] && ![variant_isset g95]} {
-    default_variants +gcc45
+variant gcc46 conflicts gcc43 gcc44 gcc45 gcc47 g95 description {compile with gcc 4.6} {
+    configure.fc        ${prefix}/bin/gfortran-mp-4.6
+    depends_build-append    port:gcc46
 }
 
+variant gcc47 conflicts gcc43 gcc44 gcc45 gcc46 g95 description {compile with gcc 4.7} {
+    configure.fc        ${prefix}/bin/gfortran-mp-4.7
+    depends_build-append    port:gcc47
+}
+
+if {![variant_isset gcc43] && ![variant_isset gcc44] && ![variant_isset gcc45] && ![variant_isset gcc46] && ![variant_isset g95]} {
+    default_variants +gcc47
+}
+
 variant accelerate description {use Accelerate.framework} {
     if {![variant_isset g95]} {
         configure.fflags-append -ff2c
Index: science/netcdf-fortran/Portfile
===================================================================
diff --git a/trunk/dports/science/netcdf-fortran/Portfile b/trunk/dports/science/netcdf-fortran/Portfile
--- a/trunk/dports/science/netcdf-fortran/Portfile	(revision 103518)
+++ b/trunk/dports/science/netcdf-fortran/Portfile	(working copy)
@@ -82,8 +82,8 @@
 destroot.destdir            prefix=${destroot}${prefix} \
                             MANDIR=\\\${prefix}/share/man
 
-if {![variant_isset gcc43] && ![variant_isset gcc44] && ![variant_isset gcc46] && ![variant_isset gcc47] && ![variant_isset g95]} {
-    default_variants +gcc45
+if {![variant_isset gcc43] && ![variant_isset gcc44] && ![variant_isset gcc45] && ![variant_isset gcc46] && ![variant_isset g95]} {
+    default_variants +gcc47
 }
 
 variant gcc43 conflicts g95 gcc44 gcc45 gcc46 gcc47 description {Enable Fortran support with gfortran 4.3} {
Index: science/openmpi/Portfile
===================================================================
diff --git a/trunk/dports/science/openmpi/Portfile b/trunk/dports/science/openmpi/Portfile
--- a/trunk/dports/science/openmpi/Portfile	(revision 103518)
+++ b/trunk/dports/science/openmpi/Portfile	(working copy)
@@ -127,8 +127,8 @@
 }
 
 # dependents like netcdf need some form of fortran
-if {![variant_isset gcc43] && ![variant_isset gcc44] && ![variant_isset gcc46]  && ![variant_isset gcc47] && ![variant_isset g95]} {
-    default_variants +gcc45
+if {![variant_isset gcc43] && ![variant_isset gcc44] && ![variant_isset gcc45]  && ![variant_isset gcc46] && ![variant_isset g95]} {
+    default_variants +gcc47
 }
 
 livecheck.type	regex
Index: science/pdb2pqr/Portfile
===================================================================
diff --git a/trunk/dports/science/pdb2pqr/Portfile b/trunk/dports/science/pdb2pqr/Portfile
--- a/trunk/dports/science/pdb2pqr/Portfile	(revision 103518)
+++ b/trunk/dports/science/pdb2pqr/Portfile	(working copy)
@@ -6,7 +6,7 @@
 
 name                pdb2pqr
 version             1.7
-revision            1
+revision            2
 categories          science
 maintainers         bromo.med.uc.edu:howarth
 description         automate Poisson-Boltzmann electrostatics calculations
@@ -23,10 +23,10 @@
 use_configure       yes
 build.cmd           make
 build.target        all
-depends_lib         port:gcc45 \
+depends_lib         port:gcc47 \
                     port:py26-numeric
 post-patch {
-    reinplace   "s|fort xlf95 lf95 g95|gfortran-mp-4.5|g" ${worksrcpath}/propka/configure
+    reinplace   "s|fort xlf95 lf95 g95|gfortran-mp-4.7|g" ${worksrcpath}/propka/configure
     reinplace   "s|/usr/bin/env python|${python.bin}|g" ${worksrcpath}/pdb2pka/pka.py
     reinplace   "s|/usr/bin/python|${python.bin}|g" ${worksrcpath}/src/psize.py
     reinplace   "s|-Wl,-framework -Wl,Python -bundle|${python.lib}  -bundle|g" \
@@ -35,7 +35,7 @@
     delete      ${worksrcpath}/contrib
 }
 configure.args      --with-max-atoms="1000000" --without-url --with-python=${python.bin} \
-                    -with-f77=gfortran-mp-4.5
+                    -with-f77=gfortran-mp-4.7
 destroot {
       system "find ${worksrcpath} -name '*.o' -delete"
       file mkdir ${destroot}${prefix}/share/{name}
Index: science/scotch/Portfile
===================================================================
diff --git a/trunk/dports/science/scotch/Portfile b/trunk/dports/science/scotch/Portfile
--- a/trunk/dports/science/scotch/Portfile	(revision 103518)
+++ b/trunk/dports/science/scotch/Portfile	(working copy)
@@ -36,16 +36,24 @@
 
 use_configure       no
 
-variant gcc44 conflicts gcc45 description {Build with gcc 4.4} {}
-variant gcc45 conflicts gcc44 description {Build with gcc 4.5} {}
+variant gcc44 conflicts gcc45 gcc46 gcc47 description {Build with gcc 4.4} {}
+variant gcc45 conflicts gcc44 gcc46 gcc47 description {Build with gcc 4.5} {}
+variant gcc46 conflicts gcc44 gcc45 gcc47 description {Build with gcc 4.6} {}
+variant gcc47 conflicts gcc44 gcc45 gcc46 description {Build with gcc 4.7} {}
 
 if {[variant_isset gcc44]} {
     depends_lib-append  port:gcc44
     configure.compiler  macports-gcc-4.4
-} else {
-    default_variants    +gcc45
+} elseif {[variant_isset gcc45]} {
     depends_lib-append  port:gcc45
     configure.compiler  macports-gcc-4.5
+} elseif {[variant_isset gcc46]} {
+    depends_lib-append  port:gcc46
+    configure.compiler  macports-gcc-4.6
+} else {
+    default_variants    +gcc47
+    depends_lib-append  port:gcc47
+    configure.compiler  macports-gcc-4.7
 }
 
 variant universal {
Index: science/splash/Portfile
===================================================================
diff --git a/trunk/dports/science/splash/Portfile b/trunk/dports/science/splash/Portfile
--- a/trunk/dports/science/splash/Portfile	(revision 103518)
+++ b/trunk/dports/science/splash/Portfile	(working copy)
@@ -22,7 +22,7 @@
                     sha256   5c32f3a094faeea7935e5262f64318ceed9af38f73418deff9e905f72fd205a1
 
 if {![variant_isset gcc44] && ![variant_isset gcc45] && ![variant_isset gcc46] && ![variant_isset gcc47]} {
-   default_variants      +gcc45
+   default_variants      +gcc47
 }
 default_variants    +giza
 
Index: science/whatcheck/Portfile
===================================================================
diff --git a/trunk/dports/science/whatcheck/Portfile b/trunk/dports/science/whatcheck/Portfile
--- a/trunk/dports/science/whatcheck/Portfile	(revision 103518)
+++ b/trunk/dports/science/whatcheck/Portfile	(working copy)
@@ -34,16 +34,24 @@
 use_bzip2           yes
 extract.only        whatcheck.tar.bz2
 
-variant gcc44 conflicts gcc45 description {Build with GCC 4.4} {}
-variant gcc45 conflicts gcc44 description {Build with GCC 4.5} {}
+variant gcc44 conflicts gcc45 gcc46 gcc47 description {Build with GCC 4.4} {}
+variant gcc45 conflicts gcc44 gcc46 gcc47 description {Build with GCC 4.5} {}
+variant gcc46 conflicts gcc44 gcc45 gcc47 description {Build with GCC 4.6} {}
+variant gcc47 conflicts gcc44 gcc45 gcc46 description {Build with GCC 4.7} {}
 
 if {[variant_isset gcc44]} {
     configure.compiler  macports-gcc-4.4
     depends_lib-append  port:gcc44
-} else {
-    default_variants    +gcc45
+} elseif {[variant_isset gcc45]} {
     configure.compiler  macports-gcc-4.5
     depends_lib-append  port:gcc45
+} elseif {[variant_isset gcc46]} {
+    configure.compiler  macports-gcc-4.6
+    depends_lib-append  port:gcc46
+} else {
+    default_variants    +gcc47
+    configure.compiler  macports-gcc-4.7
+    depends_lib-append  port:gcc47
 }
 
 post-extract {
Index: science/whizard/Portfile
===================================================================
diff --git a/trunk/dports/science/whizard/Portfile b/trunk/dports/science/whizard/Portfile
--- a/trunk/dports/science/whizard/Portfile	(revision 103518)
+++ b/trunk/dports/science/whizard/Portfile	(working copy)
@@ -57,7 +57,7 @@
 }
 
 if {![variant_isset gcc45] && ![variant_isset gcc46] && ![variant_isset gcc47]} {
-    default_variants            +gcc45
+    default_variants            +gcc47
 }
 
 livecheck.type      regex
